function [settings, g_settings] = FormatImageInfoSettings(varargin)

if nargin == 2
    % prepare settings
    settings.path = varargin{1};
    settings.file = varargin{2};
    settings.size = '';
    settings.dim = '';
    settings.max_frame = 1;
    settings.format = '';
    settings.max_channel = 1;
    
    settings.xy_res = 0.65 ;
    settings.z_res = 1.5;
    settings.Voxel = 1;
    
    g_settings.file = settings.file;
    g_settings.path = settings.path;
    
else
    imginfo = varargin{1};
    
    settings.file = [imginfo.name imginfo.format];
    settings.path = imginfo.path;
    settings.size = imginfo.size;
    settings.dim = imginfo.dim;
    
    settings.max_frame = imginfo.frames;
    settings.format = imginfo.format;
    settings.max_channel = imginfo.channels;
    
    settings.xy_res = 0.65;
    settings.z_res = 1.5;
    settings.Voxel = 1;
    
    g_settings.file = settings.file;
    g_settings.path = settings.path;
    
end
