% *************************************************************%
% OpenSegSPIM software
% SOURCE CODE, Main Gui function.
% developed by Laurent GOLE Apr.2014
% laurent.gole@imcb.edu.a-star.sg
% Institute of Medical Biology, Agency for Science, Technology and Research 
% A*STAR Singapore.
% Copyright (c) <2014>, <Laurent Gole>
% All rights reserved.
% 
% Redistribution and use in source and binary forms, with or without
% modification, are permitted provided that the following conditions are met:
%     * Redistributions of source code must retain the above copyright
%       notice, this list of conditions and the following disclaimer.
%     * Redistributions in binary form must reproduce the above copyright
%       notice, this list of conditions and the following disclaimer in the
%       documentation and/or other materials provided with the distribution.
%     * Neither the name of the <A*STAR> nor the
%       names of its contributors may be used to endorse or promote products
%       derived from this software without specific prior written permission.
% 
% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
% ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
% WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
% DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY
% DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
% (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
% LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
% ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
% (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
% SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.



% *************************************************************%
function varargout = OpenSegSPIM(varargin)
% OpenSegSPIM MATLAB code for OpenSegSPIM.fig
%      OpenSegSPIM, by itself, creates a new OpenSegSPIM or raises the existing
%      singleton*.
%
%      H = OpenSegSPIM returns the handle to a new OpenSegSPIM or the handle to
%      the existing singleton*.
%
%      OpenSegSPIM('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in OpenSegSPIM.M with the given input arguments.
%
%      OpenSegSPIM('Property','Value',...) creates a new OpenSegSPIM or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before OpenSegSPIM_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to OpenSegSPIM_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES
% Edit the above text to modify the response to help OpenSegSPIM
% Last Modified by GUIDE v2.5 26-Jun-2015 10:58:33


%#improfile
%#LoadImage_Callback
%#OpenSegSPIM

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @OpenSegSPIM_OpeningFcn, ...
    'gui_OutputFcn',  @OpenSegSPIM_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT
% --- Executes just before OpenSegSPIM is made visible.
function OpenSegSPIM_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to OpenSegSPIM (see VARARGIN)
% handles.FOLDER=(fileparts(mfilename('fullpath')));
% Choose default command line output for OpenSegSPIM
handles.output = hObject;

cnames = {'<html><center>Loaded<br />File</center></html>'...
    ,'','<html><center>Enhancement</center></html>'...
    ,'','<html><center>Detection<br />& Segmentation</center></html>'   ...
    ,'','<html><center>Statistics</center></html>',''};
handles.c1names = {'Loaded File'...
    ,'','Enhancement'...
    ,'','Detection & Segmentation'   ...
    ,'','Statistics','','Cell ',''};

set(handles.uitable1,'ColumnName',cnames);

setappdata(0  , 'hMainGui'    , gcf);
javaFrame = get(gcf,'JavaFrame');

[pathstr,name]=fileparts(which('OpenSegSPIM'));
myIcon=[pathstr,filesep,'MainIcon.gif'];


if isdeployed==1
    cd (ctfroot)
end


javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));


handles.ArrayNuclei = [handles.LoadImage,handles.Preprocessing,handles.Masking,...
    handles.Seeding,handles.Segmentation,handles.Export,...
    handles.STATISTIC,handles.uipanelNuclei];
handles.ArrayCell =  [handles.Cell_Segmentation,handles.CellStatistics,...
    handles.uipanelCell];
guidata(hObject, handles);
% --- Outputs from this function are returned to the command line.
function varargout = OpenSegSPIM_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
varargout{1} = handles.output;

% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%

%  %%%%%%%%%%%%%  DISPLAY IMAGES %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Show2DLeft(hObject, handles)

%  UPDATE THE HANDLES !!
handles=guidata(handles.output);


if handles.DLabl==1 ; % Display original image
    handles.Xl=get(handles.Display,'XLim');
    handles.Yl=get(handles.Display,'YLim');
    [LX,LY,LZ]=size(handles.STEMCellImage.NucleiImage3D);
    sliderValue = round(get(handles.ZSlice_ID,'Value'));
    set(handles.ZSlice_ID,'Value',sliderValue);
    set(handles.ZStackNum,'String',strcat({'Slice '},num2str(sliderValue) , '/' , num2str(LZ)));
    DisplayImage =zeros(LX,LY,3);
    DisplayImage(:,:,3) = handles.STEMCellImage.NucleiImage3Dbis(:,:,sliderValue);
    UU = get(handles.Display,'Parent');
    rihtdrag=get(UU,'UserData');
    if ~isempty(rihtdrag)
        settings.ImadjustB =  rihtdrag(2);
        settings.ImadjustA =  rihtdrag(1);
    else
        settings.ImadjustB = 1;
        settings.ImadjustA = 0;
    end
    DisplayImage=   function_Imadjust3D(DisplayImage, settings.ImadjustA, settings.ImadjustB);
    
    
    if  strcmp(handles.Lastexec,'Mask')==1
        
        ZZ= handles.STEMCellImage.NucleiMasked(:,:,sliderValue);
        DisplayImage = function_ImOverlay( DisplayImage,...
            logical(ZZ),[1 0 0]);
        imh = imagesc(DisplayImage,'Parent',handles.Display) ;
        
    elseif strcmp(handles.Lastexec,'Seeds')==1
        
        ZZ= handles.STEMCellImage.NucleiSeedsDilated(:,:,sliderValue);
        DisplayImage = function_ImOverlay( DisplayImage,...
            logical(ZZ),[0 1 0]);
        imh = imagesc(DisplayImage,'Parent',handles.Display) ;
        
    else
        imh = imagesc(DisplayImage,'Parent',handles.Display) ;
        
    end
    
elseif handles.DLabl==2 ; % Display nuclei and seeds image
    handles.Xl=get(handles.Display,'XLim');
    handles.Yl=get(handles.Display,'YLim');
    [LX,LY,LZ]=size(handles.STEMCellImage.NucleiImage3D);
    sliderValue = round(get(handles.ZSlice_ID,'Value'));
    set(handles.ZSlice_ID,'Value',sliderValue);
    set(handles.ZStackNum,'String',strcat({'Slice '},num2str(sliderValue) , '/' , num2str(LZ)));
    DisplayImage =zeros(LX,LY,3);
    DisplayImage(:,:,3) = handles.STEMCellImage.NucleiImage3D(:,:,sliderValue);
    UU = get(handles.Display,'Parent');
    rihtdrag=get(UU,'UserData');
    if ~isempty(rihtdrag)
        settings.ImadjustB =  rihtdrag(2);
        settings.ImadjustA =  rihtdrag(1);
    else
        settings.ImadjustB = 1;
        settings.ImadjustA = 0;
    end
    DisplayImage=   function_Imadjust3D(DisplayImage, settings.ImadjustA, settings.ImadjustB);
    ZZ=handles.STEMCellImage.NucleiSeedsDilated(:,:,sliderValue);
    DisplayImage = function_ImOverlay( DisplayImage,...
        logical(ZZ),[0 1 0]);
    ZZ= handles.STEMCellImage.NucleiMasked(:,:,sliderValue);
    DisplayImage = function_ImOverlay( DisplayImage,...
        logical(ZZ),[1 0 0]);
    imh = imagesc(DisplayImage,'Parent',handles.Display) ;
    
elseif handles.DLabl==3 ;
    handles.Xl=get(handles.Display,'XLim');
    handles.Yl=get(handles.Display,'YLim');
    [LX,LY,LZ]=size(handles.STEMCellImage.NucleiImage3D);
    sliderValue = round(get(handles.ZSlice_ID,'Value'));
    set(handles.ZSlice_ID,'Value',sliderValue);
    set(handles.ZStackNum,'String',strcat({'Slice '},num2str(sliderValue) , '/' , num2str(LZ)));
    X= zeros(LX,LY,3);
    X(:,:,3)=handles.STEMCellImage.NucleiImage3D(:,:,sliderValue);
    UU = get(handles.Display,'Parent');
    rihtdrag=get(UU,'UserData');
    if ~isempty(rihtdrag)
        settings.ImadjustB =  rihtdrag(2);
        settings.ImadjustA =  rihtdrag(1);
    else
        settings.ImadjustB = 1;
        settings.ImadjustA = 0;
    end
    X=   function_Imadjust3D(X, settings.ImadjustA, settings.ImadjustB);
    
    
    Y=handles.STEMCellImage.NucleiSegments(:,:,sliderValue);
    cmup = handles.COLORMAPSETTINGS ;
    WW= label2rgb(Y,cmup,'k') ;
    WW = mat2gray(WW) ;
    DisplayImage = immerge(WW,X, 0.7) ;
    imh = imagesc(DisplayImage,'Parent',handles.Display) ;
    
elseif handles.DLabl==4 ;
    handles.Xl=get(handles.Display,'XLim');
    handles.Yl=get(handles.Display,'YLim');
    [LX,LY,LZ]=size(handles.STEMCellImage.NucleiImage3D);
    sliderValue = round(get(handles.ZSlice_ID,'Value'));
    set(handles.ZSlice_ID,'Value',sliderValue);
    set(handles.ZStackNum,'String',strcat({'Slice '},num2str(sliderValue) , '/' , num2str(LZ)));
    DisplayImage= zeros(LX,LY,3);
    DisplayImage(:,:,3)=logical(handles.STEMCellImage.NucleiSeedsDilated(:,:,sliderValue));
    DisplayImage(:,:,2)=handles.STEMCellImage.NucleiImage3D(:,:,sliderValue);
    DisplayImage(:,:,1)=handles.STEMCellImage.MembraneImage3D(:,:,sliderValue);
    
    UU = get(handles.Display,'Parent');
    rihtdrag=get(UU,'UserData');
    if ~isempty(rihtdrag)
        settings.ImadjustB =  rihtdrag(2);
        settings.ImadjustA =  rihtdrag(1);
    else
        settings.ImadjustB = 1;
        settings.ImadjustA = 0;
    end
    DisplayImage=function_Imadjust3D(DisplayImage, settings.ImadjustA, settings.ImadjustB);
    imh = imagesc(DisplayImage,'Parent',handles.Display) ;
    
end


set(handles.Display,'XLim',handles.Xl)
set(handles.Display,'YLim',handles.Yl)
drawnow();
% to draw and measure Nuclei diameter as well as adjust intensity range
set(imh,'ButtonDownFcn',@position_and_button);
handles=guidata(hObject);
guidata(hObject,handles);
function Show2DRight(hObject, handles)

handles=guidata(handles.output);


% handles.Lastexec = 'Preproc'  ;
%handles.Lastexec = 'Mask'  ;
%  handles.Lastexec = 'Seeds'  ;
%   handles.Lastexec = 'Segmentation'  ;

if handles.PLabl==1
    
    handles.Xl=get(handles.Display,'XLim');
    handles.Yl=get(handles.Display,'YLim');
    [LX,LY,LZ]=size(handles.STEMCellImage.NucleiImage3D);
    sliderValue = round(get(handles.ZSlice_ID,'Value'));
    set(handles.ZSlice_ID,'Value',sliderValue);
    set(handles.ZStackNum,'String',strcat({'Slice '},num2str(sliderValue) , '/' , num2str(LZ)));
    ProcessedImage =zeros(LX,LY,3);
    
    if  strcmp(handles.Lastexec,'Preproc')==1
        % (~isempty(handles.STEMCellImage.NucleiPreprocessed) ==1 && ~isempty(handles.STEMCellImage.NucleiMasked) ==0)
        
        ProcessedImage(:,:,3) = handles.STEMCellImage.NucleiPreprocessed(:,:,sliderValue);
        
        UU = get(handles.Display,'Parent');
        rihtdrag=get(UU,'UserData');
        if ~isempty(rihtdrag)
            settings.ImadjustB =  rihtdrag(2);
            settings.ImadjustA =  rihtdrag(1);
        else
            settings.ImadjustB = 1;
            settings.ImadjustA = 0;
        end
        ProcessedImage=   function_Imadjust3D(ProcessedImage, settings.ImadjustA, settings.ImadjustB);
        
        
        
        imagesc(ProcessedImage,'Parent',handles.Processed) ;
        
        
        
    elseif strcmp(handles.Lastexec,'Mask')==1
        %  (~isempty(handles.STEMCellImage.NucleiMasked) ==1   && ~isempty(handles.STEMCellImage.NucleiMandS) ==0)
        ProcessedImage=squeeze(handles.STEMCellImage.NucleiMasked(:,:,sliderValue,:));
        imagesc(ProcessedImage,'Parent',handles.Processed) ;
        
    elseif strcmp(handles.Lastexec,'Seeds')==1
        
        %(~isempty(handles.STEMCellImage.NucleiMandS) ==1 && ~isempty(handles.STEMCellImage.NucleiSegments) == 0 )
        ProcessedImage=squeeze(handles.STEMCellImage.NucleiMandS(:,:,sliderValue,:));
        imagesc(ProcessedImage,'Parent',handles.Processed) ;
        
    elseif strcmp(handles.Lastexec,'Segmentation')==1
        
        %~isempty(handles.STEMCellImage.NucleiSegments) == 1
        cmap = handles.COLORMAPSETTINGS ;
        ProcessedImage=label2rgb(handles.STEMCellImage.NucleiSegments(:,:,sliderValue),cmap,'k');
        ProcessedImage = mat2gray(ProcessedImage) ;
        imagesc(ProcessedImage,'Parent',handles.Processed) ;
        
    end
    
elseif handles.PLabl==2 % Display processed image and seeds and mask
    handles.Xl=get(handles.Display,'XLim');
    handles.Yl=get(handles.Display,'YLim');
    [LX,LY,LZ]=size(handles.STEMCellImage.NucleiImage3D);
    sliderValue = round(get(handles.ZSlice_ID,'Value'));
    set(handles.ZSlice_ID,'Value',sliderValue);
    set(handles.ZStackNum,'String',strcat({'Slice '},num2str(sliderValue) , '/' , num2str(LZ)));
    ProcessedImage =zeros(LX,LY,3);
    ProcessedImage=squeeze(handles.STEMCellImage.NucleiMandS(:,:,sliderValue,:));
    imagesc(ProcessedImage,'Parent',handles.Processed) ;
    
elseif handles.PLabl==3 % Display seeds and segmented image
    handles.Xl=get(handles.Display,'XLim');
    handles.Yl=get(handles.Display,'YLim');
    [LX,LY,LZ]=size(handles.STEMCellImage.NucleiImage3D);
    sliderValue = round(get(handles.ZSlice_ID,'Value'));
    set(handles.ZSlice_ID,'Value',sliderValue);
    set(handles.ZStackNum,'String',strcat({'Slice '},num2str(sliderValue) , '/' , num2str(LZ)))
    cmop = handles.COLORMAPSETTINGS ;
    WW=label2rgb(handles.STEMCellImage.NucleiSegments(:,:,sliderValue),cmop,'k');
    WW = mat2gray(WW) ;
    ZZ=handles.STEMCellImage.NucleiSeedsDilated(:,:,sliderValue);
    ProcessedImage = function_ImOverlay( WW,...
        logical(ZZ),[0 1 0]);
    imagesc(ProcessedImage,'Parent',handles.Processed) ;
    colormap(handles.Processed,cmop) ;
    
elseif handles.PLabl==4 % display segemented cells and segmented Nuclei
    handles.Xl=get(handles.Display,'XLim');
    handles.Yl=get(handles.Display,'YLim');
    [LX,LY,LZ]=size(handles.STEMCellImage.NucleiImage3D);
    sliderValue = round(get(handles.ZSlice_ID,'Value'));
    set(handles.ZSlice_ID,'Value',sliderValue);
    set(handles.ZStackNum,'String',strcat({'Slice '},num2str(sliderValue) , '/' , num2str(LZ)));
    
    cmap = handles.COLORMAPSETTINGS ;
    WW=label2rgb(handles.STEMCellImage.CellSegments(:,:,sliderValue),cmap,'k');
    WW = mat2gray(WW) ;
    ZZ = zeros(LX,LY,3);
    %ZZ(:,:,1)=handles.STEMCellImage.NucleiBW(:,:,sliderValue);
    ZZ(:,:,2)=handles.STEMCellImage.NucleiBW(:,:,sliderValue);
    % ZZ(:,:,3)=handles.STEMCellImage.NucleiBW(:,:,sliderValue);
    ProcessedImage = immerge(ZZ,WW, 0.6) ;
    imagesc(ProcessedImage,'Parent',handles.Processed) ;
    colormap(handles.Processed,cmap) ;
    
end

set(handles.Processed,'XLim',handles.Xl)
set(handles.Processed,'YLim',handles.Yl)
drawnow();
guidata(hObject, handles);
function function_Show3D(hObject, handles)

handles=guidata(handles.output);


 [LX,LY,LZ]=size(handles.STEMCellImage.NucleiImage3D);

if handles.DLabl==1 ;
  
    IM = zeros(LX,LY,LZ,3);
    IM(:,:,:,2)= handles.STEMCellImage.NucleiImage3Dbis;
    
    p=getpixelposition(handles.Main_NucleiSeg) ;
    hfg1 = figure(1);
    set(hfg1,'OuterPosition',[p(1) p(2)+p(4)./3 p(3)./3 p(4)./1.5]);
    set(hfg1,'WindowStyle','modal');
    set(hfg1, 'Name','Original image','NumberTitle','off');
    set(hfg1,'MenuBar','none')
    set(hfg1,'CloseRequestFcn',@closegui2_both3D)
    javaFrame = get(hfg1,'JavaFrame');
    myIcon='MainIcon.gif';
    
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    figHandles = findobj('Type','figure');
    set(figHandles, 'Pointer', 'watch');
    
    h = vol3dv2('cdata',IM,'texture','3D');%,'Alpha',[0,0.2, 0.2]);
    FigureRotator
    clear IM;
    view(3);
    set(gca, 'XTick', [],'YTick', [],'ZTick', []);
    alphamap('default')
    alphamap('rampdown');
    alphamap(0.15.* alphamap);
    axis([1 LY 1 LX 1 LZ]);
    daspect([1 1 1 ])
    box on;
    set(gca,'color',[1,1,1]*0.05);
    set(gcf,'color',[1,1,1]*0.05);
    % IM = zeros(LX,LY,LZ,3);
    
    
    
elseif handles.DLabl==2 ;
    
    IM= handles.STEMCellImage.NucleiMandS;
    
    p=getpixelposition(handles.Main_NucleiSeg) ;
    hfg1 = figure(1);
    set(hfg1,'OuterPosition',[p(1) p(2)+p(4)./3 p(3)./3 p(4)./1.5]);
    set(hfg1,'WindowStyle','modal');
    set(hfg1, 'Name','Mask and Seeds','NumberTitle','off');
    set(hfg1,'MenuBar','none')
    set(hfg1,'CloseRequestFcn',@closegui2_both3D)
    javaFrame = get(hfg1,'JavaFrame');
    myIcon='MainIcon.gif';
    
    

    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    figHandles = findobj('Type','figure');
    set(figHandles, 'Pointer', 'watch');
   
   transp = mat2gray(IM(:,:,:,1))*0.1 + mat2gray(IM(:,:,:,2))+...
             mat2gray(IM(:,:,:,3))*0.4 ;
    
    h = vol3dv2('cdata',IM,'texture','3D','Alpha',transp);
    FigureRotator
    clear IM;
    view(3);
    set(gca, 'XTick', [],'YTick', [],'ZTick', []);
    alphamap('default')
    alphamap('rampdown');
    alphamap(0.15.* alphamap);
    axis([1 LY 1 LX 1 LZ]);
    daspect([1 1 1 ])
    box on;
    set(gca,'color',[1,1,1]*0.05);
    set(gcf,'color',[1,1,1]*0.05);
    
    
    
    
end











U = findobj('Enable' , 'on') ;
for i =1:length(U)
    set(U(i) , 'Enable' , 'off')
end


 



%% RIGHT PANEL
if handles.PLabl==1
 
    
    if  strcmp(handles.Lastexec,'Preproc')==1
       
        
         IM(:,:,:,3)= handles.STEMCellImage.NucleiPreprocessed;
    p=getpixelposition(hfg1);
    hfg = figure(2);
    %  linkaxes([hfg,hfg1])
    javaFrame = get(hfg,'JavaFrame');
    
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    set(hfg,'Position',[p(1)+p(3) p(2) p(3) p(4)]);
    set(hfg, 'Name','Preprocessed Image','NumberTitle','off');
    set(gcf,'MenuBar','none')
    set(hfg,'CloseRequestFcn',@closegui2_both3D)
    javaFrame = get(hfg,'JavaFrame');
  
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    figHandles = findobj('Type','figure');
    set(figHandles, 'Pointer', 'watch');
    h = vol3dv2('cdata',IM,'texture','3D');
    FigureRotator
    clear IM;
    view(3);
    set(gca, 'XTick', [],'YTick', [],'ZTick', []);
    alphamap('default')
    alphamap('rampdown');
    alphamap(0.15.* alphamap);
    axis([1 LY 1 LX 1 LZ]);
    daspect([1 1 1 ])
    box on;
    set(gca,'color',[1,1,1]*0.05);
    set(gcf,'color',[1,1,1]*0.05);
        
        
        
        
        
    elseif strcmp(handles.Lastexec,'Mask')==1
    
           IM = handles.STEMCellImage.NucleiMasked;
    p=getpixelposition(hfg1);
    hfg = figure(2);
    set(hfg,'Position',[p(1)+p(3) p(2) p(3) p(4)]);
    set(hfg,'WindowStyle','modal');
    set(hfg, 'Name','Masked Image','NumberTitle','off');
    set(hfg,'MenuBar','none')
    set(hfg,'CloseRequestFcn',@closegui2_both3D)
    javaFrame = get(hfg,'JavaFrame');
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    figHandles = findobj('Type','figure');
    set(figHandles, 'Pointer', 'watch');
    h = vol3dv2('cdata',IM,'texture','3D');
    FigureRotator
    clear IM;
    view(3);
    set(gca, 'XTick', [],'YTick', [],'ZTick', []);
    alphamap('default')
    alphamap('rampdown');
    alphamap(0.15.* alphamap);
    axis([1 LY 1 LX 1 LZ]);
    daspect([1 1 1 ])
    box on;
    set(gca,'color',[1,1,1]*0.05);
    set(gcf,'color',[1,1,1]*0.05);
        
        
    elseif strcmp(handles.Lastexec,'Seeds')==1
     
         IM= handles.STEMCellImage.NucleiMandS;
    p=getpixelposition(hfg1);
    hfg = figure(2);
    set(hfg,'Position',[p(1)+p(3) p(2) p(3) p(4)]);
    set(hfg, 'Name','Mask & Seeds','NumberTitle','off');
    set(hfg,'MenuBar','none')
    set(hfg,'CloseRequestFcn',@closegui2_both3D)
    javaFrame = get(hfg,'JavaFrame');
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    figHandles = findobj('Type','figure');
    set(figHandles, 'Pointer', 'watch');
    
      transp = mat2gray(IM(:,:,:,1))*0.1 + mat2gray(IM(:,:,:,2))+...
             mat2gray(IM(:,:,:,3))*0.4 ;
    
    h = vol3dv2('cdata',IM,'texture','3D','Alpha',transp);
    
    FigureRotator
    clear IM;
    view(3);
    set(gca, 'XTick', [],'YTick', [],'ZTick', []);
    alphamap('default')
    alphamap('rampdown');
    alphamap(0.15.* alphamap);
    axis([1 LY 1 LX 1 LZ]);
    daspect([1 1 1 ])
    box on;
    set(gca,'color',[1,1,1]*0.05);
    set(gcf,'color',[1,1,1]*0.05);
        
        
        
    elseif strcmp(handles.Lastexec,'Segmentation')==1
        IM= handles.STEMCellImage.NucleiSegments;
    p=getpixelposition(hfg1);
    hfg = figure(2);
    javaFrame = get(hfg,'JavaFrame');
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    set(hfg,'Position',[p(1)+p(3) p(2) p(3) p(4)]);
    set(hfg, 'Name','Segmented 3D image','NumberTitle','off');
    set(gcf,'MenuBar','none')
    set(hfg,'CloseRequestFcn',@closegui2_both3D)
    figHandles = findobj('Type','figure');
    set(figHandles, 'Pointer', 'watch');
    level = 0.0;
    c2 = 'facecolor';
    c1 = 'edgecolor';
    cmap = colormap(jet(handles.NSeeds)) ;
    
    for i =1:1:max(IM(:))
        q = patch(isosurface(IM==i,level));
        set(q,c2,[cmap(i,1) cmap(i,2) cmap(i,3) ],c1,'none');
        set(gca,'projection','perspective');
        alpha(q,.9)
    end
    FigureRotator
    box on;
    lighting gouraud;
    light('position',[1,1,1]);
    light('position',[-1,-1,-1]);
    %set relative proportions
    daspect([1,1,1]);
    axis on;
    axis([1 LY 1 LX 1 LZ]);
    view(3);
    set(gca,'color',[1,1,1]*0.05);
    set(gcf,'color',[1,1,1]*0.05);   
      
        
    end
    
elseif handles.PLabl==2 % Display processed image and seeds and mask
   
         IM= handles.STEMCellImage.NucleiMandS;
    p=getpixelposition(hfg1);
    hfg = figure(2);
    set(hfg,'Position',[p(1)+p(3) p(2) p(3) p(4)]);
    set(hfg, 'Name','Mask & Seeds','NumberTitle','off');
    set(hfg,'MenuBar','none')
    set(hfg,'CloseRequestFcn',@closegui2_both3D)
    javaFrame = get(hfg,'JavaFrame');
    myIcon='MainIcon.gif';
    
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    figHandles = findobj('Type','figure');
    set(figHandles, 'Pointer', 'watch');
    h = vol3dv2('cdata',IM,'texture','3D');
    FigureRotator
    clear IM;
    view(3);
    set(gca, 'XTick', [],'YTick', [],'ZTick', []);
    alphamap('default')
    alphamap('rampdown');
    alphamap(0.08.* alphamap);
    axis([1 LY 1 LX 1 LZ]);
    daspect([1 1 1 ])
    box on;
    set(gca,'color',[1,1,1]*0.05);
    set(gcf,'color',[1,1,1]*0.05);
    
elseif handles.PLabl==3 % Display seeds and segmented image
     IM= handles.STEMCellImage.NucleiSegments;
    p=getpixelposition(hfg1);
    hfg = figure(2);
    javaFrame = get(hfg,'JavaFrame');
    myIcon='MainIcon.gif';
    
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    set(hfg,'Position',[p(1)+p(3) p(2) p(3) p(4)]);
    set(hfg, 'Name','Segmented 3D image','NumberTitle','off');
    set(gcf,'MenuBar','none')
    set(hfg,'CloseRequestFcn',@closegui2_both3D)
    figHandles = findobj('Type','figure');
    set(figHandles, 'Pointer', 'watch');
    level = 0.0;
    c2 = 'facecolor';
    c1 = 'edgecolor';
    cmap = colormap(jet(handles.NSeeds)) ;
    
    for i =1:1:max(IM(:))
        q = patch(isosurface(IM==i,level));
        set(q,c2,[cmap(i,1) cmap(i,2) cmap(i,3) ],c1,'none');
        set(gca,'projection','perspective');
        alpha(q,.9)
    end
    FigureRotator
    box on;
    lighting gouraud;
    light('position',[1,1,1]);
    light('position',[-1,-1,-1]);
    %set relative proportions
    daspect([1,1,1]);
    axis on;
    axis([1 LY 1 LX 1 LZ]);
    view(3);
    set(gca,'color',[1,1,1]*0.05);
    set(gcf,'color',[1,1,1]*0.05);   
      
    
elseif handles.PLabl==4 % display segemented cells and segmented Nuclei
     IM= handles.STEMCellImage.CellSegments;
    p=getpixelposition(hfg1);
    hfg = figure(2);
    javaFrame = get(hfg,'JavaFrame');
    myIcon='MainIcon.gif';
    
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    set(hfg,'Position',[p(1)+p(3) p(2) p(3) p(4)]);
    set(hfg, 'Name','Segmented 3D image','NumberTitle','off');
    set(gcf,'MenuBar','none')
    set(hfg,'CloseRequestFcn',@closegui2_both3D)
    figHandles = findobj('Type','figure');
    set(figHandles, 'Pointer', 'watch');
    level = 0.0;
    c2 = 'facecolor';
    c1 = 'edgecolor';
    cmap = colormap(jet(handles.NSeeds)) ;
    
    for i =1:1:max(IM(:))
        q = patch(isosurface(IM==i,level));
        set(q,c2,[cmap(i,1) cmap(i,2) cmap(i,3) ],c1,'none');
        set(gca,'projection','perspective');
        alpha(q,.6)
    end
    FigureRotator
    box on;
    lighting gouraud;
    light('position',[1,1,1]);
    light('position',[-1,-1,-1]);
    %set relative proportions
    daspect([1,1,1]);
    axis on;
    axis([1 LY 1 LX 1 LZ]);
    view(3);
    set(gca,'color',[1,1,1]*0.05);
    set(gcf,'color',[1,1,1]*0.05);   
      
    
end





for i =1:length(U)
    set(U(i) , 'Enable' , 'on')
end



figHandles = findobj('Type','figure');
fignam=get(figHandles(:),'Name');
idx = find(strcmp(fignam(:),'OpenSegSPIM')==0);
AXIDX = get(figHandles(idx),'Children') ;
if size(AXIDX,1)>=2
    FigureRotator([AXIDX{1},AXIDX{2}]);
end
setptr(figHandles, 'rotate');
guidata(hObject, handles);
function ZSlice_ID_Callback(hObject, eventdata, handles)
% hObject    handle to ZSlice_ID (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% Hints: get(hObject,'Value') returns position of slider
%        get(hObject,'Min') and get(hObject,'Max') to determine range of slider
handles=guidata(handles.output);
hMainGui = getappdata(0, 'hMainGui');
handles.Xl=get(handles.Display,'XLim');
handles.Yl=get(handles.Display,'YLim');
[LX,LY,LZ]=size(handles.STEMCellImage.NucleiImage3D);
sliderValue = round(get(handles.ZSlice_ID,'Value')) ;
%
set(handles.Processed,'XLim',handles.Xl)
set(handles.Processed,'YLim',handles.Yl)

set(handles.ZStackNum,'String',strcat({'Slice '},num2str(sliderValue) , '/' , num2str(LZ)));
guidata(hObject, handles);
%  %%%%%%%%%%%%%  END DISPLAY IMAGES %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%

%  %%%%%%%%%%%%%  CORE FUNCTIONS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Executes on button press
% %%%%%%%%%%%%%    LOADING   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function LoadImage_Callback(hObject, eventdata, handles)
% hObject    handle to LoadImage (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% ctfroot
% handles

% disp('LoadimageCallback')
% ctfroot
% pwd

if strcmp(get(handles.Preprocessing,'Enable'),'off')==1
    
    U = findobj('Enable' , 'off') ;
    INITSTATE = handles;
    save('state.mat') ;
    
end


handles.STEMCellImage.NucleiImage3D = [];
handles.STEMCellImage.NucleiImage3D_orig = [];
handles.STEMCellImage.NucleiImage3Dbis = [];
settings_struct = {...
    'separator', 'Image Info:', '', '';...
    'Image file', 'file', 'File not specified', 'off';...
    'Image path', 'path', 'Path not specified', 'off';...
    'Image format', 'format', 'Format not specified', 'off';...
    'Image size', 'size', '0, 0, 0', 'off';...
    'Image dimension', 'dim', '3D', 'off';...
    'Total number of time frames', 'max_frame', 1, 'off';...
    'Total number of channels', 'max_channel', 1, 'off';...
    'separator', 'User''s input:', '', '';...
    'XY resolution', 'xy_res', '1', 'on';...
    'Zstep', 'z_res', '1', 'on';...
    'VoxelSize', 'Voxel', '1', 'on';...
    'Load settings file', 'LoadSetting', false, 'on'; ...
    };
status = 'ok';
figHandles = findobj('Type','figure');
set(figHandles, 'Pointer', 'watch');
% load file
if handles.BATCH ==0 ;
    if handles.Validationcheck==1 ;
        
        
        if ispc==4
        [filename, pathname] = uigetfile( ...
            '*Nucleisegment*.tif', ...
            'Pick segmented data');
        else
  [filename, pathname] = uiGetFiles(0) ;
  
  
        end
    else
        if ispc==4
            [filename, pathname] = uigetfile( ...
                {'*.tif;*.tiff;', 'Supported Image Files';}, ...
                'Pick image data');
        else
            [filename, pathname] = uiGetFiles(0) ;
        end
    end
    
    
    
elseif handles.BATCH ==1;
    pathname  = handles.BatchPath;
    filename  = handles.BatchFilename{handles.BATCHITERATION}.name;
end

if handles.Validationcheck==1 ;
    filename = 'OriginalStack.tif' ;
    handles.BATCH=1;
    if exist(strcat(pathname,filename))==0 && exist(strcat(pathname,'Settings_file.txt'))==0
        set(figHandles, 'Pointer', 'arrow');
        
        hh=warndlg('Segmented file not found!','Choose another folder:');
        javaFrame = get(hh,'JavaFrame');
        myIcon='MainIcon.gif';
        
        [pathstr,name]=fileparts(which('OpenSegSPIM'));
        myIcon=[pathstr,filesep,'MainIcon.gif'];
        javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
        return
    end
    
end

javaFrame = get(gcf,'JavaFrame');
myIcon='MainIcon.gif';

[pathstr,name]=fileparts(which('OpenSegSPIM'));
myIcon=[pathstr,filesep,'MainIcon.gif'];
javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
set(figHandles, 'Pointer', 'arrow');

if pathname==0
    return ;
else
    
    % obtain image data
    if handles.BATCH ==0 ;
        tic ;
        
        try [imgs, immeta] = readTIffstacks(pathname,filename);
        catch
            beep
            for i = 1:3
                set(handles.text6, 'Visible' , 'on' )
                pause(0.5);
                set(handles.text6, 'Visible' , 'off' )
                pause(0.1);
            end
            disp('File extension error! please load a Tif file')
            return
        end
        
        
        Sin = size(imgs,2);
        if size(imgs,2)>1
            [LX LY LZ] = size(imgs{1});
            
            hfg = figure ;
            javaFrame = get(hfg,'JavaFrame');
            myIcon='MainIcon.gif';
            [pathstr,name]=fileparts(which('OpenSegSPIM'));
            myIcon=[pathstr,filesep,'MainIcon.gif'];
            javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
            set(hfg,'WindowStyle','modal');
            set(hfg, 'Name','Please Select Channel to be segmented and close the figure','NumberTitle','off');
            set(gcf,'MenuBar','none')
            hold on;   axis 'square'        
            AA = zeros(LX,LY,3) ;
            a = zeros(size(AA, 1), size(AA, 2));
            u = [1 2 3];
            v = [2 1 1];
            w = [3 3 2];
            for i = 1:size(imgs,2)
                AA (:,:,i) = (max(imgs{i}(:,:,:),[],3)) ;
                AA = mat2gray(AA) ;
                Eachchannel{i} = AA(:,:,i) ;
                Color{i}(:,:,u(i)) = Eachchannel{i} ;
                Color{i}(:,:,v(i)) = 0;
                Color{i}(:,:,w(i)) = 0;
                
            end
            axis 'square'
            for i = 1:size(imgs,2)
                
                ax=  subplot(1,Sin,i);
                hRGB(i)= imagesc(Color{i}) ;
                
                set(ax,'Xtick',[],'Ytick',[],'Visible','on','hittest','off');
                xlabel(strcat({'Channel '},num2str(i)),'Color',[1 1 1])
                set(hRGB(i),'userdata',i)
                set(hRGB(i), 'ButtonDownFcn', @subplotclick)
            end
                 
set(gca,'color',[1,1,1]*0.05);
set(gcf,'color',[1,1,1]*0.05);

           waitfor(hfg) ;       
hMainGui = getappdata(0, 'hMainGui');
IndiceImage = getappdata(hMainGui, 'Windowchosed')  ;
            
           
       imgg = imgs ;
       imgs = [] ; 
       imgs{1} = imgg{IndiceImage}  ;
           disp (strcat('u have selected channel : ',num2str(IndiceImage)))
          
       end
       
       
       
       
        if strcmp(immeta.format,'.tif')==1
            TT = Tiff([pathname, filename]); % Tiff class to read proper metadata
        end
        toc ;
    elseif handles.BATCH ==1;
        tic ;
        
        [imgs, immeta] = readTIffstacks([pathname,filesep],filename);
        
        
        
        if strcmp(immeta.format,'.tif')==1
            TT = Tiff([pathname,filesep, filename]);
        end
        toc ;
    end
    if strcmp(immeta.format,'.tif')==1
        try XYres = 1/TT.getTag('XResolution');
            XYres_warning = 0;
        catch
            
            XYres_warning = 1;
            XYres = 1  ;
        end
        
        
        try Z = TT.getTag('ImageDescription');
            Zspacing = strfind(Z,'spacing');
            Zres_warning = 0;
            if ~isempty(Zspacing)
                Zres =[];
                i=0;
                while isempty(Zres)
                    i=i+1
                    Zres = str2num(Z(Zspacing+8:Zspacing+8+10-i));
                end
            else
                Zres=XYres;
            end
            
        catch
            Zres_warning=1;
            Zres=XYres ;
        end
        
        if Zres_warning==1
            
            settings_struct = {...
                'separator', 'Image Info:', '', '';...
                'Image file', 'file', 'File not specified', 'off';...
                'Image path', 'path', 'Path not specified', 'off';...
                'Image format', 'format', 'Format not specified', 'off';...
                'Image size', 'size', '0, 0, 0', 'off';...
                'Image dimension', 'dim', '3D', 'off';...
                'Total number of time frames', 'max_frame', 1, 'off';...
                'Total number of channels', 'max_channel', 1, 'off';...
                'separator', 'User''s input:', '', '';...
                'XY resolution', 'xy_res', '1', 'on';...
                'separator','____Warning! Z resolution was not found._____','','';...
                'Zstep', 'z_res', '1', 'on';...
                'VoxelSize', 'Voxel', '1', 'on';...
                'Load settings file', 'LoadSetting', false, 'on'; ...
                };
        elseif XYres_warning==1
            settings_struct = {...
                'separator', 'Image Info:', '', '';...
                'Image file', 'file', 'File not specified', 'off';...
                'Image path', 'path', 'Path not specified', 'off';...
                'Image format', 'format', 'Format not specified', 'off';...
                'Image size', 'size', '0, 0, 0', 'off';...
                'Image dimension', 'dim', '3D', 'off';...
                'Total number of time frames', 'max_frame', 1, 'off';...
                'Total number of channels', 'max_channel', 1, 'off';...
                'separator', 'User''s input:', '', '';...
                'separator','____XYZ resolution metadata was not found! Set to 1 by default._____','','';...
                'XY resolution', 'xy_res', '1', 'on';...
                'Zstep', 'z_res', '1', 'on';...
                'VoxelSize', 'Voxel', '1', 'on';...
                'Load settings file', 'LoadSetting', false, 'on'; ...
                };
        elseif (Zres_warning+XYres_warning)==2;
            settings_struct = {...
                'separator', 'Image Info:', '', '';...
                'Image file', 'file', 'File not specified', 'off';...
                'Image path', 'path', 'Path not specified', 'off';...
                'Image format', 'format', 'Format not specified', 'off';...
                'Image size', 'size', '0, 0, 0', 'off';...
                'Image dimension', 'dim', '3D', 'off';...
                'Total number of time frames', 'max_frame', 1, 'off';...
                'Total number of channels', 'max_channel', 1, 'off';...
                'separator', 'User''s input:', '', '';...
                'separator','____Warning! XY resolution was not found set to 1 by default._____','','';...
                'XY resolution', 'xy_res', '1', 'on';...
                'separator','____Warning! Z resolution was not found._____','','';...
                'Zstep', 'z_res', '1', 'on';...
                'VoxelSize', 'Voxel', '1', 'on';...
                'Load settings file', 'LoadSetting', false, 'on'; ...
                };
            
        end
        
        
        
        
        [settings, g_settings] = FormatImageInfoSettings(immeta);
        g_settings.cache = imgs;
        settings.z_res=Zres;
        settings.xy_res=XYres;
        settings.LoadSetting=false;
    else
        % prepare settings
        [settings, g_settings] = FormatImageInfoSettings(immeta);
        g_settings.cache = imgs;
        settings.LoadSetting=false;
    end
    
    
    
    if handles.PresetState==1
        settings.xy_res = handles.Preset{4,2} ;
        settings.z_res = handles.Preset{5,2};
        settings.Voxel =handles.Preset{6,2};
        settings.LoadSetting=false;
    end
    
    % show settings dialog
    cDialogInputs = PrepareSettingDialog('Loading image', settings_struct, settings);
    if handles.BATCH ==0 ;
        [settings, status] = settingsdlg(cDialogInputs{:});
    elseif handles.BATCH ==1;
        
        [settings, status] = settingsdlgauto(cDialogInputs{:});
    end
    
    if strcmpi(status, 'cancel')
        return ;
    elseif isempty(status)
        return ;
    else
        
        
        
        % RESET SOFTWARE TO BEGINNING STATE when click ok to load new file
        if (strcmp(get(handles.Preprocessing,'Enable'),'on')==1 && handles.BATCH ==0)
            %
            
            
            
            fileName='state.mat';
            if exist(fileName)
                if handles.PresetState==1
                    CONFIGSETTINGS = handles.Preset;
                end
                clear handles ;
                
                load(fileName);
                handles = INITSTATE;
                if handles.PresetState==1
                    handles.Preset = CONFIGSETTINGS;
                end
                for i =1:length(U)
                    set(U(i) , 'Enable' , 'off')
                end
                
                set(gcf,'UserData',[]);
                hMainGui = getappdata(0, 'hMainGui');
                setappdata(hMainGui, 'Mediansize' , [] ) ;
                setappdata(hMainGui, 'Msize', [] );
                
                
                set( findobj(get(handles.Processed,'Children'),'Type','image'),'CData',[])
                set(handles.uitableNucleiProperties , 'Visible' , 'off' )
                set(handles.uitableNucleiProperties , 'Data' , [] )
                set(handles.uitableCellProperties , 'Data' , [] )
                
            end
            
        end
        
        
        
        
        
        
        
        
        
        
        if settings.LoadSetting==1 && handles.BATCH==0
            handles.PresetState=1;
            if ispc==4
                [Fname, Pname] = uigetfile('*Settings_file*.txt','Select text file containing parameters table');
            else
                [Fname, Pname] = uiGetFiles_txt(0);
            end
            
            
            if Fname==0 % if user cancel and don t select a file
                handles.PresetState=0;
                handles.Preset= [];
            else
                [data, result]= readtext(strcat(Pname,Fname),'\t' ,'','','');
                handles.Preset = data ;
            end
        elseif handles.BATCH==1
            handles.PresetState = 1 ;
        elseif  handles.BATCH==0
            handles.PresetState = 0 ;
        end
        
        
        
        
        
        hh=waitbar(0,'Loading Files ...');
        javaFrame = get(hh,'JavaFrame');
        myIcon='MainIcon.gif';
        
        [pathstr,name]=fileparts(which('OpenSegSPIM'));
        myIcon=[pathstr,filesep,'MainIcon.gif'];
        javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
        figHandles = findobj('Type','figure');
        set(figHandles(:), 'Pointer', 'watch');
        varargout{3} = settings;
        varargout{4} = g_settings;
        varargout{5} = status;
        xy_resolution = settings.xy_res  ;
        z_step        = settings.z_res   ;
        voxel_size    = settings.Voxel   ;
        RFACTOR = xy_resolution./z_step;
        [LX LY LZ] = size(imgs{1});
        if LZ==1
            LZ=3;
        end
        
        
        [xi,yi,zi] = meshgrid(1:voxel_size:LY,1:voxel_size:LX,1:(RFACTOR*voxel_size):LZ);
        [x,y,z] = meshgrid(1:1:LY,1:1:LX,1:1:LZ);
        
        handles.STEMCellImage.NucleiImage3D      = [];
        handles.STEMCellImage.NucleiImage3D_orig = imgs{1};
        if size(imgs{1},3)==1
            imgs{1}(:,:,2) = imgs{1}(:,:,1) ; 
              imgs{1}(:,:,3) = imgs{1}(:,:,1) ;    
%            imgs{1}(:,:,2) = 0 ; 
%            imgs{1}(:,:,3) = 0 ; 
           handles.STEMCellImage.NucleiImage3D_orig = imgs{1};
        end
        if length(imgs)>1
            handles.STEMCellImage.NucleiImage3D_origMembrane = imgs{2};
        else
            handles.STEMCellImage.NucleiImage3D_origMembrane = [];
        end
        handles.STEMCellImage.NucleiPreprocessed = [];
        handles.STEMCellImage.NucleiMasked       = [];
        handles.STEMCellImage.NucleiMask         = [];
        handles.STEMCellImage.NucleiSeeds        = [];
        handles.STEMCellImage.NucleiMandS        = [];
        handles.STEMCellImage.NucleiSegments     = [];
        handles.STEMCellImage.NucleiBW           = [];
        
        waitbar(0.3,hh,'Interpolate data...');
        
        try
            im = interp3(x,y,z,double(handles.STEMCellImage.NucleiImage3D_orig),xi,yi,zi,'cubic');
        catch exception
            disp('Warning: interpolation method linear and not cubic...')
            im = mirt3D_mexinterp(double(handles.STEMCellImage.NucleiImage3D_orig), xi,yi,zi) ;
        end
        
        waitbar(0.8,hh,'Loading Files ...');
        handles.STEMCellImage.NucleiImage3D = mat2gray(im);
        handles.STEMCellImage.NucleiImage3Dbis = handles.STEMCellImage.NucleiImage3D ;
        slider_step = [];   sliderValue = 1;
        [LX LY LZ] = size(handles.STEMCellImage.NucleiImage3D);
        slider_step(1) = (1/(LZ-1));
        slider_step(2) = (1/(LZ-1));
        set(handles.ZSlice_ID,'sliderstep',slider_step,...
            'max',LZ,'min',1,'value',1);
        set(get (handles.Processed,'Children'),'CData',[])
        sliderValue = round(get(handles.ZSlice_ID,'Max')/2);
        set(handles.ZSlice_ID,'Value',sliderValue);
        set(get (handles.Processed,'Children'),'CData',[])
        
        set(handles.ZStackNum,'String',strcat({'Slice '},num2str(sliderValue) , '/' , num2str(LZ)));
        
        DisplayImage =zeros(LX,LY,3);
        DisplayImage(:,:,3) = handles.STEMCellImage.NucleiImage3D(:,:,sliderValue);
        
        set(get(handles.Display,'Children'),'CData',[])
        set(handles.Display, 'XLimMode','auto', 'YLimMode','auto')
        imagesc(DisplayImage,'Parent',handles.Display) ;
        
        
        handles.Xl=get(handles.Display,'XLim');
        handles.Yl=get(handles.Display,'YLim');
        handles.Xlorig=handles.Xl;
        handles.Ylorig=handles.Yl;
        guidata(hObject, handles);
        
        hhSlider = handle(handles.ZSlice_ID);
        hProp = findprop(hhSlider,'Value');
        hListener = handle.listener(handles.ZSlice_ID,hProp,'PropertyPostSet',@(s, e) Show2DLeft(hObject,handles));
        setappdata(handles.ZSlice_ID,'sliderListener',hListener);
        
        data{1,1} =  'Pathname'       ;
        data{1,2} =  settings.path    ;
        data{2,1} =  'Filename'       ;
        data{2,2} =  settings.file    ;
        data{3,1} =  'xy resolution'  ;
        data{3,2} =  settings.xy_res  ;
        data{4,1} =  'z_res'          ;
        data{4,2} =  settings.z_res   ;
        data{5,1} =  'reducedsize'    ;
        data{5,2} =  settings.Voxel   ;
        set(handles.uitable1,'Data',data)
        
        
        set(handles.Preprocessing , 'Enable' , 'on' )
        set(handles.text_infoclick, 'Visible' , 'on' )
        set(handles.I_profile     , 'Visible', 'on' )
        set(handles.ZSlice_ID     , 'Enable' , 'on' )
        set(handles.threeDview    , 'Enable' , 'on' )
        set(handles.uitable1      , 'Visible', 'on' )
        set(handles.uipushtool22  , 'Enable' , 'on' )
        set(handles.uitoggletool1 , 'Enable' , 'on' )
        set(handles.uitoggletool2 , 'Enable' , 'on' )
        set(handles.uitoggletool3 , 'Enable' , 'on' )
        set(handles.I_profile     ,'Enable'  , 'on' )
        
        
        jScroll = findjobj(handles.uitable1);
        jTable = jScroll.getViewport.getView;
        jTable.setAutoResizeMode(jTable.AUTO_RESIZE_SUBSEQUENT_COLUMNS);
        handles.Lastexec ='Loaded' ;
        TT.close();
    end
end

set(figHandles, 'Pointer', 'arrow');
close(hh)


handles.PLabl=1 ;
handles.menu.p{1}='on';
handles.menu.p{2}='off';
handles.menu.p{3}='off';
handles.menu.p{4}='off';

hMainGui     = getappdata(0, 'hMainGui');
setappdata(hMainGui, 'handles', handles);

guidata(hObject, handles);
Show2DLeft(hObject, handles);
% %%%%%%%%%%%%%    PRE PROCESSING   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Preprocessing_Callback(hObject, eventdata, handles)
% hObject    handle to Preprocessing (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB


if handles.BATCH ==0 && handles.PresetState==0 ;
    rightdrag= get(gcf,'UserData');
    hMainGui = getappdata(0, 'hMainGui');
    Meddia   = round( getappdata(hMainGui, 'Mediansize'));
    if (isempty(rightdrag)==1 || isempty(Meddia)==1 );
            beep
        for i = 1:4
            set(handles.text_infoclick, 'Visible' , 'off' )
            pause(0.3);
            set(handles.text_infoclick, 'Visible' , 'on' )
            pause(0.3);
        end
        
        
        
        handles.FirstStep=1;
%         hh=warndlg({'Measure nuclei diameter by left click and drag';'Adjust intensity range by right click and drag'},'Please make sure to:');
%         javaFrame = get(hh,'JavaFrame');
%         myIcon='MainIcon.gif';
%         
%         [pathstr,name]=fileparts(which('OpenSegSPIM'));
%         myIcon=[pathstr,filesep,'MainIcon.gif'];
%         javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
        guidata(hObject, handles);
        return
    else
        set(handles.text_infoclick, 'Visible' , 'off' )
    end
end

NucleiImage3D = handles.STEMCellImage.NucleiImage3Dbis;
[LX LY LZ] = size(NucleiImage3D);

settings_struct = {...
    'separator','Substract background  _________________________________________________', '', '';...
    'Skip noise removal', 'skipsubback', true, 'on'; ...
    'Noise removal sphere diameter (~ nuclei )', 'subBackground', 1, 'on';...
    'separator','', '', '';...
    
    'separator','Contrast equalisation___________________________________________________', '', '';...
    'Intensity equalisation','LLIST' ,  {'On','Off','2D preview' } , '';...
    'separator' , 'Adjust intensity [0-1]:' , '' , '' ; ...
    'Intensity minimum', 'ImadjustA', 0.01, 'on';...
    'Intensity maximum', 'ImadjustB', 0.5, 'on';...
    'separator','', '', '';...
    'separator','Smoothing ___________________________________________________________', '', '';...
    'Method','SLIST' , {'Gaussian','Log' ,'Ellipsoid' , 'None' , '2D preview' } , '';
    'Windows size (~ nuclei )','WinSize',11, 'on';...
    'separator', '', '', '';...
    };

settings               = [];
settings.skipsubback   = false;
settings.ImadjustB     = 1;
settings.ImadjustA     = 0;
settings.subBackground = 15 ;
settings.GaussKernel3D = [true, false] ;
settings.NucleiSigma   = 2;
settings.WinSize       = 9;
settings.DiffTime      = round(settings.WinSize/2/2.355);
hMainGui = getappdata(0, 'hMainGui');
Meddia   =round(getappdata(hMainGui, 'Mediansize')) ;
if Meddia>=3
    settings.WinSize   = Meddia-2 ;
else
    settings.WinSize   = Meddia ;
end
settings.subBackground = Meddia+3 ;
rightdrag=get(gcf,'UserData');
if ~isempty(rightdrag)
    settings.ImadjustB =  rightdrag(2);
    settings.ImadjustA =  rightdrag(1);
else
    settings.ImadjustB = 1;
    settings.ImadjustA = 0;
end
settings.SLIST         = {'Gaussian','Log' ,'Ellipsoid'  , 'None' ,'2D preview' } ;
settings.LLIST         = {'Off','On','2D preview' } ;

if handles.PresetState==1
    ind = strcmp(settings.SLIST(:),handles.Preset{2,4});
    settings.SLIST(ind) = settings.SLIST(1);
    settings.SLIST(1) = handles.Preset(2,4);
    
    settings.WinSize= handles.Preset{4,4} ;
    settings.subBackground = handles.Preset{5,4};
    settings.ImadjustA =handles.Preset{6,4};
    settings.ImadjustB =handles.Preset{7,4};
    if ~isempty(Meddia)
        if Meddia>=3
            settings.WinSize   = Meddia-2 ;
        else
            settings.WinSize   = Meddia ;
        end
        settings.subBackground = Meddia+3 ;
    end
    
    
    if ~isempty(rightdrag)
        settings.ImadjustB =  rightdrag(2);
        settings.ImadjustA =  rightdrag(1);
    end
    
    
    ind = strcmp(settings.LLIST(:),handles.Preset{3,4});
    settings.LLIST(ind) = settings.LLIST(1);
    settings.LLIST(1) = handles.Preset(3,4);
    if strcmp(handles.Preset{5,4},'none')
        settings.skipsubback = true;
    end
end

status = 'ok';
cDialogInputs = PrepareSettingDialog('Image enhancement', settings_struct, settings);

if handles.BATCH ==0 ;
    [settings, status] = settingsdlg(cDialogInputs{:});
elseif handles.BATCH ==1;
    [settings, status] = settingsdlgauto(cDialogInputs{:});
end

if strcmpi(status, 'cancel')
    return ;
elseif isempty(status)
    return ;
else
    U = findobj('Enable' , 'on') ;
    for i =1:length(U)
        set(U(i) , 'Enable' , 'off')
    end
    
    hh=waitbar(0,'Preprocessing in progress. Please wait ...');
    javaFrame = get(hh,'JavaFrame');
    myIcon='MainIcon.gif';
    
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    figHandles = findobj('Type','figure');
    set(figHandles(:), 'Pointer', 'watch');
    if iseven(settings.WinSize)
        settings.WinSize=settings.WinSize+1 ;
    end
    if iseven(settings.subBackground)
        settings.subBackground=settings.subBackground+1;
    end
    
    if  settings.skipsubback==0
        NucleiImage3D = function_Imadjust3D(handles.STEMCellImage.NucleiImage3Dbis,settings.ImadjustA,settings.ImadjustB);
        waitbar(0.2,hh,'Background noise removal in progress. Please wait ...');
        NucleiImage3D = NucleiImage3D - imopen(NucleiImage3D,function_Ball3D(settings.subBackground ));
        handles.STEMCellImage.NucleiImage3D = NucleiImage3D;
    else
        NucleiImage3D = function_Imadjust3D(handles.STEMCellImage.NucleiImage3Dbis,settings.ImadjustA,settings.ImadjustB);
        waitbar(0.2,hh);
        handles.STEMCellImage.NucleiImage3D = NucleiImage3D;
    end
    waitbar(0.4,hh,'Smoothing in progress. Please wait ...');
    
    
    switch settings.LLIST
        case 'Off'
            waitbar(0.6,hh);
            
        case 'On'
            waitbar(0.6,hh,'Intensity equalisation in progress. Please wait ...');
            NucleiImage3D = function_CLAHE3D(NucleiImage3D,settings.subBackground,settings.ImadjustA) ;
            waitbar(0.7,hh);
            
        case '2D preview'
            
            SV = round(get(handles.ZSlice_ID,'Value')) ;
            IM = function_CLAHE3D(NucleiImage3D(:,:,SV),settings.subBackground,settings.ImadjustA) ;
            
            hfg = figure ;
            javaFrame = get(hfg,'JavaFrame');
            myIcon='MainIcon.gif';
            
            [pathstr,name]=fileparts(which('OpenSegSPIM'));
            myIcon=[pathstr,filesep,'MainIcon.gif'];
            javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
            set(hfg,'WindowStyle','modal');
            set(hfg, 'Name','Contrast equalisation 2D Preview','NumberTitle','off');
            set(gcf,'MenuBar','none')
            AA = colormap('jet');
            AA(1,:) = 0 ;
            
            colormap(AA)
            subplot(2,1,1)
            imagesc(NucleiImage3D(:,:,SV))
            ylabel('original','color',[1 1 1]) ;
            axis square
            hold on;
            subplot(2,1,2)
            
            imagesc(IM)
            ylabel('contrast adjusted','color',[1 1 1]) ;
            axis square
            
            A1=findobj(hfg,'Type','axes');
            linkaxes([A1(1),A1(2)])
            
            set(gca,'color',[1,1,1]*0.03);
            set(gcf,'color',[1,1,1]*0.03);
            zoom on
            set(figHandles, 'Pointer', 'arrow');
            close(hh);
            for i =1:length(U)
                set(U(i) , 'Enable' , 'on')
            end
            
            return;
            
            
            
    end
    
    
    
    
    switch settings.SLIST
        case 'None'
            Winsize = 'none' ;
            imn = NucleiImage3D;
            
        case 'Gaussian'
            Winsize = settings.WinSize ;
            SE = function_GaussKernel3D(Winsize,Winsize/2/2.355);
            SE = SE./sum(SE(:));
            imn = imfilter(NucleiImage3D,SE);
            
        case 'Log'
            Winsize = settings.WinSize ;
            SE = fspecial3('log',Winsize) ;
            SE = SE./sum(SE(:));
            imn = imfilter(NucleiImage3D,SE);
            imn = mat2gray(imn);
            
        case 'Ellipsoid'
            Winsize = settings.WinSize ;
            SE = fspecial3('ellipsoid',Winsize) ;
            SE = SE./sum(SE(:));
            imn = imfilter(NucleiImage3D,SE);
            
            %% HOW TO ADD A NEW ALGORYTHM WITHIN THIS CODE
            %         case 'NewAlgo'
            %            inputarguments = settings.WinSize ;
            %           % if the function requires hard coded aguments add
            %           them here.
            %       userdefined input arguments available are nuclei diameter and intensity range;
            %       respectively settings.WinSize & settings.ImadjustA/B ;
            %             imn = NewSmoothingalgorythm(NucleiImage3D,inputarguments);
            %             imn is the smoothed image by the new algo
            
            %  Example:
            %         case 'Average'
            %             Winsize = settings.WinSize ;
            %             SE = fspecial3('average',Winsize) ;
            %             SE = SE./sum(SE(:));
            %             imn = imfilter(NucleiImage3D,SE);
            %
            
        case '2D preview'
            
            SV = round(get(handles.ZSlice_ID,'Value')) ;
            
            Winsize = settings.WinSize ;
            SE = function_GaussKernel3D(Winsize,Winsize/2/2.355);
            SE = SE./sum(SE(:));
            imngaussian = imfilter(NucleiImage3D(:,:,SV),SE);
            
            Winsize = settings.WinSize ;
            SE = fspecial3('log',Winsize) ;
            SE = SE./sum(SE(:));
            imnLog = imfilter(NucleiImage3D(:,:,SV),SE);
            
            Winsize = settings.WinSize ;
            SE = fspecial3('ellipsoid',Winsize) ;
            SE = SE./sum(SE(:));
            imnellipsoid = imfilter(NucleiImage3D(:,:,SV),SE);
            
            hfg = figure ;
            javaFrame = get(hfg,'JavaFrame');
            myIcon='MainIcon.gif';
            
            [pathstr,name]=fileparts(which('OpenSegSPIM'));
            myIcon=[pathstr,filesep,'MainIcon.gif'];
            javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
            set(hfg,'WindowStyle','modal');
            set(hfg, 'Name','Smoothing 2D Preview','NumberTitle','off');
            set(gcf,'MenuBar','none')
            AA = colormap('jet');
            AA(1,:) = 0 ;
            
            colormap(AA)
            subplot(2,2,1)
            imagesc(NucleiImage3D(:,:,SV))
            axis square
            ylabel('original','color',[1 1 1]) ;
            
            subplot(2,2,2)
            imagesc(imngaussian)
            axis square
            ylabel('gaussian','color',[1 1 1]) ;
            
            subplot(2,2,3)
            imagesc( imnLog)
            axis square
            ylabel('Log','color',[1 1 1]) ;
            
            subplot(2,2,4)
            imagesc(imnellipsoid)
            ylabel('ellipsoid','color',[1 1 1]) ;
            axis square
            
            A1=findobj(hfg,'Type','axes');
            linkaxes([A1(1),A1(2),A1(3),A1(4)])%,A1(5),A1(6)])
            set(gca,'color',[1,1,1]*0.01);
            set(gcf,'color',[1,1,1]*0.01);
            
            zoom on
            set(figHandles, 'Pointer', 'arrow');
            close(hh);
            for i =1:length(U)
                set(U(i) , 'Enable' , 'on')
            end
            
            return;
            
            
            
    end
    
    
    
    
    for i =1:length(U)
        set(U(i) , 'Enable' , 'on')
    end
    set(handles.Masking, 'Enable' , 'on' )
    waitbar(0.8,hh,'Please wait ...');
    
    sliderValue = round(get(handles.ZSlice_ID,'Value')) ;
    set(handles.ZSlice_ID,'Value',sliderValue);
    [LX,LY,LZ]=size(handles.STEMCellImage.NucleiImage3D);
    imn = mat2gray(imn);
    ProcessedImage =zeros(LX,LY,3);
    ProcessedImage(:,:,3) =imn(:,:,sliderValue);
    handles.STEMCellImage.NucleiPreprocessed = imn ;
    set(figHandles, 'Pointer', 'arrow');
    close(hh);
    ProcessedImage = mat2gray(ProcessedImage) ;
    imagesc(ProcessedImage,'Parent',handles.Processed) ;
    handles.STEMCellImage.NucleiPreprocessed = imn ;
    DisplayImage =zeros(LX,LY,3);
    DisplayImage(:,:,3) = handles.STEMCellImage.NucleiImage3D(:,:,sliderValue);
    imagesc(DisplayImage,'Parent',handles.Display) ;
    hhSlider = handle(handles.ZSlice_ID);
    hProp = findprop(hhSlider,'Value');
    hListener1 = handle.listener(handles.ZSlice_ID,hProp,'PropertyPostSet',@(s, e) Show2DRight(hObject,handles));
    hListener2 = handle.listener(handles.ZSlice_ID,hProp,'PropertyPostSet',@(s, e) Show2DLeft(hObject,handles));
    setappdata(handles.ZSlice_ID,'sliderListener1',hListener1);
    setappdata(handles.ZSlice_ID,'sliderListener2',hListener2);
    
    data=get(handles.uitable1,'Data');
    data{1,3} = 'Smoothing'   ;
    data{1,4} = settings.SLIST  ;
    data{2,3} = 'Contrast adjustment';
    data{2,4} = settings.LLIST ;
    data{3,3} =  'Window size='       ;
    data{3,4} = Winsize     ;
    data{5,3} = 'I_low' ;
    data{5,4} = settings.ImadjustA ;
    data{6,3} = 'I_high' ;
    data{6,4} = settings.ImadjustB ;
    
    if settings.skipsubback==0
        data{4,3} =  'background removal size= ' ;
        data{4,4} = settings.subBackground ;
    else
        data{4,3}  =  'background removal size= ' ;
        data{4,4}  = 'none' ;
    end
    
    set(handles.uitable1,'Data',data)
    handles.Lastexec = 'Preproc'  ;
    pause(1) ;
    if isempty(handles.STEMCellImage.NucleiPreprocessed)
    disp('error during smoothing')
    handles.STEMCellImage.NucleiPreprocessed = imn ;
    end
end
handles.PLabl=1;
handles.menu.p{1}='on';
handles.menu.p{2}='off';
handles.menu.p{3}='off';
handles.menu.p{4}='off';

guidata(hObject, handles);
Show2DRight(hObject, handles);
Show2DLeft(hObject, handles);
% %%%%%%%%%%%%%       MASKING       %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Masking_Callback(hObject, eventdata, handles)
% hObject    handle to Masking (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

handles=guidata(handles.output);

settings_struct = {...
    'separator', 'Set treshold level  :', '', ''; ...
    'Treshold level (~1)', 'TreshLvl', 1, 'on';...
    'Treshold image','TLIST' ,  {'Enhanced','Gaussian Smoothed','Original'} , '';
    'separator', '', '', '';...
    };
settings = [];
settings.TreshLvl=1;
settings.TLIST =  {'Enhanced','Gaussian Smoothed','Original'} ;
if handles.PresetState==1
    settings.TreshLvl= handles.Preset{2,6} ;
    ind = strcmp(settings.TLIST(:),handles.Preset{7,1});
    settings.TLIST(ind) = settings.TLIST(1);
    settings.TLIST(1) = handles.Preset(7,1);
end
cDialogInputs = PrepareSettingDialog('ROI extraction', settings_struct, settings);
if handles.BATCH ==0 ;
    [settings, status] = settingsdlg(cDialogInputs{:});
    
elseif handles.BATCH ==1;
    [settings, status] = settingsdlgauto(cDialogInputs{:});
    
end

if strcmpi(status, 'cancel')
    return ;
elseif isempty(status)
    return ;
else
    
    hh=waitbar(0,'ROI extraction. Please wait ...');
    javaFrame = get(hh,'JavaFrame');
    myIcon='MainIcon.gif';
    
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    figHandles = findobj('Type','figure');
    set(figHandles(:), 'Pointer', 'watch');
    sliderValue = round(get(handles.ZSlice_ID,'Value')) ;
    set(handles.ZSlice_ID,'Value',sliderValue);
    
    switch settings.TLIST
        
        case 'Original'
            Treshlvl =settings.TreshLvl;
            imn = handles.STEMCellImage.NucleiImage3D;
            ThreshLevel = graythresh(imn);
            BW3D = imn >Treshlvl.* ThreshLevel;
            BW3D = imfill(BW3D,'holes') ;
            
        case 'Gaussian Smoothed'
            data=get(handles.uitable1,'Data');
            if  isodd(round(data{3,4}-((40*data{3,4})/100)))
                Winsize = round(data{3,4}-((40*data{3,4})/100)) ;
            else
                Winsize = round(data{3,4}-((40*data{3,4})/100))-1 ;
            end
            SE = function_GaussKernel3D(Winsize,Winsize/2/2.355);
            SE = SE./sum(SE(:));
            imn = imfilter(handles.STEMCellImage.NucleiImage3D,SE);
            ThreshLevel = graythresh(imn);
            Treshlvl =settings.TreshLvl;
            BW3D = imn >Treshlvl.* ThreshLevel;
            
        case 'Enhanced'
            Treshlvl =settings.TreshLvl;
            imn = handles.STEMCellImage.NucleiPreprocessed;
            ThreshLevel = graythresh(imn);
            BW3D = imn >Treshlvl.* ThreshLevel;
            % BW3D = imerode(BW3D, function_Ball3D(7)) ;
            
    end
    
    handles.STEMCellImage.NucleiMask = BW3D;
    NucleiMask3D = [];
    NucleiMask3D = bwperim(BW3D,26);
    %  NucleiMask3D = bwperim(NucleiMask3D,6);
    clear 'BW3D';
    [LX LY LZ] = size(imn);
    for i=1:LZ
        AAA= zeros(LX,LY,3);
        AAA(:,:,3) =  handles.STEMCellImage.NucleiPreprocessed(:,:,i) ;
        AAA = function_ImOverlay( AAA,NucleiMask3D(:,:,i),[1 0 0]);
        ProcessedImage(:,:,i,:) =( AAA );
    end
    set(figHandles, 'Pointer', 'arrow');
    close (hh);
    handles.STEMCellImage.NucleiMasked = (ProcessedImage) ;
    
    data=get(handles.uitable1,'Data');
    data{1,5} = 'Mask Treshold coef' ;
    data{1,6} = settings.TreshLvl    ;
    data{2,5} = 'Mask type' ;
    data{6,1} = settings.TLIST    ;
    set(handles.uitable1,'Data',data)
    set(handles.Seeding , 'Enable' , 'on' )
    % handles.Lastexec = 'Preproc'  ;
    handles.Lastexec = 'Mask'  ;
end


handles.PLabl=1;
handles.menu.p{1}='on';
handles.menu.p{2}='off';
handles.menu.p{3}='off';
handles.menu.p{4}='off';



guidata(hObject, handles);
Show2DRight(hObject, handles);
Show2DLeft(hObject, handles);
%  %%%%%%%%%%%%%%     SEEDING        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Seeding_Callback(hObject, eventdata, handles)
% hObject    handle to Seeding (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

handles.STEMCellImage.NucleiSeeds        = [];
handles.STEMCellImage.NucleiMandS        = [];
handles.STEMCellImage.NucleiSegments     = [];
settings_struct = {...
    % 'Skip this step', 'skip', true, 'on'; ...
    'separator', 'Local intensity maxima detection:', '', ''; ...
    'Method','LIST' ,  {'Intensity','Shape','Preview' } , '';
    'Intensity based detection sensitivity [0-100] %', 'SeedSens', 1, 'on';...
    'Shape based detection sensitivity (~nuclei ray) ', 'SeedSens2', 1, 'on';...
    };
settings = [];
%settings.skip= false;
settings.LIM= true;
settings.SeedSens=95;
data=get(handles.uitable1,'Data');
if strcmp(data{3,4},'none')==1
    settings.SeedSens2 = 0;
else
    settings.SeedSens2= round(data{3,4}/4) ;
end
settings.IV=false;
settings.rmin=0; settings.rmax=12; settings.Dmax=30; settings.n=2;
settings.PT=false;
settings.LIST = {'Intensity','Shape','Preview' } ;
if handles.PresetState==1
    settings.SeedSens= handles.Preset{4,6} ;
    settings.SeedSens2= handles.Preset{4,6} ;
    ind = strcmp(settings.LIST(:),handles.Preset{3,6});
    settings.LIST(ind) = settings.LIST(1);
    settings.LIST(1) = handles.Preset(3,6);
end

cDialogInputs = PrepareSettingDialog('Nuclei detection', settings_struct, settings);

if handles.BATCH ==0 ;
    [settings, status] = settingsdlg(cDialogInputs{:});
elseif handles.BATCH ==1;
    
    [settings, status] = settingsdlgauto(cDialogInputs{:});
end
if strcmpi(status, 'cancel')
    return ;
elseif isempty(status)
    return ;
else
    U = findobj('Enable' , 'on') ;
    for i =1:length(U)
        set(U(i) , 'Enable' , 'off')
    end
    
    hh=waitbar(0,'Seeds Detection. Please wait ...');
    javaFrame = get(hh,'JavaFrame');
    myIcon='MainIcon.gif';
    
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    figHandles = findobj('Type','figure');
    set(figHandles(:), 'Pointer', 'watch');
    sliderValue = round(get(handles.ZSlice_ID,'Value')) ;
    set(handles.ZSlice_ID,'Value',sliderValue);
    imn = handles.STEMCellImage.NucleiPreprocessed .* handles.STEMCellImage.NucleiMask;
    
    
    
    
    switch settings.LIST
        
        case 'Intensity'
            SeedSens =100-settings.SeedSens;
            SeedSens=SeedSens/1000;
            waitbar(0.2,hh,'Intensity based Seeds Detection. Please wait ...');
            NucleiCenter = imextendedmax(imn,SeedSens);
            handles.Nucleicenter = NucleiCenter;
            waitbar(0.6,hh);
            
        case 'Shape'
            SeedSens =settings.SeedSens2;
            waitbar(0.2,hh,'Shape based Seeds Detection. Please wait ...');
            BW = handles.STEMCellImage.NucleiMask;
            DD = bwdist(~BW);
            NucleiCenter = imextendedmax(DD,SeedSens);
            handles.Nucleicenter = NucleiCenter;
            waitbar(0.6,hh);
            
        case 'Preview'
            [LX LY LZ] = size(imn);
            Delta = round(0.1*LZ) ;
            SV = round(get(handles.ZSlice_ID,'Value')) ;
            if SV-Delta <=0
                SV=Delta+1 ;
            elseif SV+Delta>=LZ
                SV = LZ-Delta-1;
            end
            
            waitbar(0.2,hh,'Preview Calculation, Please wait...');
            
            SeedSens =100-settings.SeedSens;
            SeedSens=SeedSens/1000;
            NucleiCenter1 = imextendedmax(imn(:,:,SV-Delta:SV+Delta),SeedSens);
            
            SeedSens =settings.SeedSens2;
            BW = handles.STEMCellImage.NucleiMask(:,:,SV-Delta:SV+Delta);
            DD = bwdist(~BW);
            NucleiCenter2 = imextendedmax(DD,SeedSens);
            
            
            [~, NUM1] = bwlabeln(NucleiCenter1,26);
            [~, NUM2] = bwlabeln(NucleiCenter2,26);
            
            HDelta = round(Delta/1.5) ;
            Interv =[Delta-HDelta: Delta+HDelta] ;
            AAA = squeeze(handles.STEMCellImage.NucleiMasked(:,:,SV,:));
            aaa = max(NucleiCenter1(:,:, Interv), [], 3);
            AAA = function_ImOverlay( AAA,...
                logical(aaa),[0 1 0]);
            
            BBB = squeeze(handles.STEMCellImage.NucleiMasked(:,:,SV,:));
            bbb= max(NucleiCenter2(:,:,Interv), [], 3);
            BBB = function_ImOverlay( BBB,...
                logical(bbb),[0 1 0]);
            
            hfg = figure ;
            
            javaFrame = get(hfg,'JavaFrame');
            myIcon='MainIcon.gif';
            
            [pathstr,name]=fileparts(which('OpenSegSPIM'));
            myIcon=[pathstr,filesep,'MainIcon.gif'];
            javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
            set(hfg,'WindowStyle','modal');
            set(hfg, 'Name','Detection 2D Preview','NumberTitle','off');
            set(gcf,'MenuBar','none')
            AA = colormap('jet');
            AA(1,:)=0;
            % AA(:,[1,3])=AA(:,[1,3])*0 ;
            colormap(AA)
            
            
            subplot(2,2,1)
            imagesc(imn(:,:,SV))
            ylabel('Intensity','color',[1 1 1]) ;
            
            subplot(2,2,2)
            imagesc(AAA)
            ylabel(strcat(num2str(NUM1),{' seeds'}),'color',[1 1 1])
            
            subplot(2,2,3)
            imagesc(DD(:,:,Delta))
            ylabel('Shape','color',[1 1 1]) ;
            
            subplot(2,2,4)
            imagesc(BBB)
            ylabel(strcat(num2str(NUM2),{' seeds'}),'color',[1 1 1])
            xlabel('Projection of all local maxima detected on a 20% thick layer','color',[1 1 1]) ;
            A1=findobj(hfg,'Type','axes');
            linkaxes([A1(1),A1(2),A1(3),A1(4)])
            set(gca,'color',[1,1,1]*0.05);
            set(gcf,'color',[1,1,1]*0.05);
            ax=axes('Position',[0 0 1 1],'Unit','normalize','parent',1);
            L= createLine([0,0.5],[1,0.5]);
            drawLine(L, 'Color', 'w', 'LineWidth', 2);
            set(ax,'Xtick',[],'Ytick',[],'Visible','off','hittest','off');
            
            
            zoom on
            
            
            set(figHandles, 'Pointer', 'arrow');
            close(hh);
            for i =1:length(U)
                set(U(i) , 'Enable' , 'on')
            end
            
            return;
            
    end
    
    
    [SeedsSegment,SeedsNum] = bwlabeln(NucleiCenter,26);
    S = regionprops(SeedsSegment,'centroid');
    seedscentroids  = round(cat(1, S.Centroid));
    handles.seedscentroids = seedscentroids;
    Nuclei_SeedsPoints = zeros(size(imn));
    for k =1:1:SeedsNum
        Nuclei_SeedsPoints(seedscentroids(k,2),seedscentroids(k,1),seedscentroids(k,3))=1;
    end
    handles.STEMCellImage.NucleiSeeds = Nuclei_SeedsPoints;
    [Nuclei_SeedsPoints, NUM] = bwlabeln(Nuclei_SeedsPoints,26);
    
    dilparam = round(5/data{5,2});
    if iseven(dilparam)
        dilparam=dilparam+1;
    end
    Nuclei_SeedsPoints = imdilate(Nuclei_SeedsPoints, function_Ball3D(dilparam));
    handles.STEMCellImage.NucleiSeedsDilated = Nuclei_SeedsPoints ;
    NucleiMask3D = bwperim(handles.STEMCellImage.NucleiMask,26);
    waitbar(0.8,hh);
    [LX LY LZ] = size(imn);
    
    AAA = zeros(LX,LY,3);
    for i=1:LZ
        AAA = squeeze(handles.STEMCellImage.NucleiMasked(:,:,i,:));
        AAA = function_ImOverlay( AAA,...
            logical( Nuclei_SeedsPoints(:,:,i)),[0 1 0]);
        ProcessedImage(:,:,i,:) = (AAA) ;
    end
    
    set(figHandles, 'Pointer', 'arrow');
    close(hh);
    for i =1:length(U)
        set(U(i) , 'Enable' , 'on')
    end
    
    handles.STEMCellImage.NucleiMandS = ProcessedImage ;
    set(gcf,'CurrentAxes',handles.Processed);
    data=get(handles.uitable1,'Data') ;
    data{2,5} = 'Detection method' ;
    data{2,6} = settings.LIST    ;
    data{3,5} = 'Detection sensitivity'    ;
    switch settings.LIST
        case 'Intensity'
            data{3,6} = settings.SeedSens      ;
        case 'Shape'
            data{3,6} = settings.SeedSens2      ;
    end
    data{4,5} = ' Number of Seeds'     ;
    data{4,6} = SeedsNum               ;
    if size(data,2)>6 && ~isempty(data{5,8}) ==1
        data{5,8}=0;
        
    end
    set(handles.uitable1,'Data',data)  ;
    
    
    set(handles.Segmentation  , 'Enable' , 'on' )
    
    handles.PLabl=1;
    handles.menu.p{1}='on';
    handles.menu.p{2}='off';
    handles.menu.p{3}='off';
    handles.menu.p{4}='off';
    handles.DLabl=1;
    handles.menu.d{1}='on';
    handles.menu.d{2}='off';
    handles.menu.d{3}='off';
    handles.menu.d{4}='off';
    handles.idremoveL=0;
    % handles.Lastexec = 'Preproc'  ;
    %handles.Lastexec = 'Mask'  ;
    handles.Lastexec = 'Seeds'  ;
    handles.STEMCellImage.removed = false(LX,LY,LZ);
    handles.STEMCellImage.kept = zeros(LX,LY,LZ);
    
end
guidata(hObject, handles);
Show2DRight(hObject, handles);
Show2DLeft(hObject, handles);
%  %%%%%%%%%%%%%%    SEGMENTATION        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Segmentation_Callback(hObject, eventdata, handles)
% hObject    handle to Segmentation (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
%
% handles.Validationcheck=0;
settings_struct = {...
    'separator', 'Watershed segmentation:', '', ''; ...
    'Method','Watershed',  {'Intensity','Shape' } , '';...
    
    'separator' , '' , '','';...
    };
settings = [];
settings.Watershed =  {'Intensity','Shape' };
data=get(handles.uitable1,'Data') ;
ind = strcmp(settings.Watershed(:), data{2,6});
settings.Watershed(ind) = settings.Watershed(1);
settings.Watershed(1) = data(2,6);
cDialogInputs = PrepareSettingDialog('Segmentation', settings_struct, settings);
if handles.BATCH ==0 ;
    [settings, status] = settingsdlg(cDialogInputs{:});
elseif handles.BATCH ==1;
    [settings, status] = settingsdlgauto(cDialogInputs{:});
end

if strcmpi(status, 'cancel')
    return ;
elseif isempty(status)
    return ;
else
    
    U = findobj('Enable' , 'on') ;
    for i =1:length(U)
        set(U(i) , 'Enable' , 'off')
    end
    
    hh=waitbar(0,'Segmentation in progress...') ;
    javaFrame = get(hh,'JavaFrame');
    myIcon='MainIcon.gif';
    
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    figHandles = findobj('Type','figure');
    set(figHandles(:), 'Pointer', 'watch');
    imn            =  handles.STEMCellImage.NucleiPreprocessed .* handles.STEMCellImage.NucleiMask ;
    NucleiCenter   =  handles.Nucleicenter                     ;
    
    dilparam = round(3/data{5,2});
    if iseven(dilparam)
        dilparam=dilparam+1;
    end
    NucleiMask     =  handles.STEMCellImage.NucleiMask         ;
    seedscentroids =  handles.seedscentroids                   ;
    sliderValue = round(get(handles.ZSlice_ID,'Value')) ;
    set(handles.ZSlice_ID,'Value',sliderValue);
    
    
    seed_indices = sub2ind(size(NucleiCenter ), seedscentroids(:,2), seedscentroids(:,1),seedscentroids(:,3));
    NucleiCenter(seed_indices) = 1 ;
    
    
    
    
    
    
    waitbar(0.2,hh);
    % memory issue with imimposemin
    switch settings.Watershed
        
        case 'Shape'
            BW = logical(handles.STEMCellImage.NucleiMask);
            DD = bwdist(~BW);
            
            DD = imcomplement(DD);
            imDD = imimposemin(DD,NucleiCenter|~NucleiMask);
            L = watershed(imDD);
            L(L==1)=0;
            
            
        case 'Intensity'
            imiwt  = imcomplement(imn);
            imiwt  = imimposemin(imiwt,NucleiCenter|~NucleiMask);
            L      = watershed(imiwt);
            if  max(max(max(L)))>=2
                L(L==1)=0;
            end
            
    end
    
    
    waitbar(0.6,hh);
    NucleiBW = NucleiMask ;
    NucleiBW = (NucleiBW -(L==0))>0;
    NucleiBW = (NucleiBW.*NucleiMask)>0;
    % THIS IS HIT AND MIS PART
    seed_indices = sub2ind(size(NucleiBW ), seedscentroids(:,2), seedscentroids(:,1),seedscentroids(:,3));
    
    BW = imfill(~NucleiBW , seed_indices, 26);
    NucleiBW  = BW & NucleiBW ;
    % END HIT AND MISS
    % OR TRY WITH LABELLED SEEDS
    [NucleiSegments, NUM] = bwlabeln(NucleiBW,26);
    handles.STEMCellImage.NucleiBW = NucleiBW;
    NucleiSegments = bwperim(NucleiSegments,26);
    NucleiSegments = bwlabeln(NucleiSegments,26);
    handles.STEMCellImage.NucleiSegments = NucleiSegments;
    waitbar(0.8,hh);
    
    
    set(figHandles, 'Pointer', 'arrow');
    close(hh);
    for i =1:length(U)
        set(U(i) , 'Enable' , 'on')
    end
    
    set(gcf,'CurrentAxes',handles.Processed);
    set(gcf,'WindowButtonDownFcn',@tablecallback)
    
    clims = [0 NUM+0] ;
    imagesc(NucleiSegments(:,:,sliderValue) , clims);
    cmap = colormap(jet(NUM));
    handles.COLORMAPSETTINGS = cmap;
    cmap (1,:) = [0,0,0] ;
    colormap(cmap)
    handles.NSeeds = NUM ;
    
    
    data=get(handles.uitable1,'Data') ;
    data{5,5} = 'Watershed based on:' ;
    data{5,6} = settings.Watershed    ;
    data{6,5} = 'Number of Nuclei'    ;
    data{6,6} = handles.NSeeds        ;
    set(handles.uitable1,'Data',data) ;
    
    set(handles.STATISTIC     , 'Enable' , 'on')
    set(handles.changedisplay , 'Enable' , 'on')
    handles.STEMCellImage.NucleiSegmentsOrig = handles.STEMCellImage.NucleiSegments;
    handles.STEMCellImage.NucleiBWOrig       = handles.STEMCellImage.NucleiBW      ;
    
    handles.PLabl=3 ;
    handles.menu.p{1}='off';
    handles.menu.p{2}='off';
    handles.menu.p{3}='on';
    handles.menu.p{4}='off';
    % handles.Lastexec = 'Preproc'  ;
    %handles.Lastexec = 'Mask'  ;
    %  handles.Lastexec = 'Seeds'  ;
    handles.Lastexec = 'Segmentation'  ;
    
end

hMainGui = getappdata(0, 'hMainGui');
setappdata(hMainGui, 'handles', handles);
guidata(hObject, handles);
Show2DRight(hObject, handles);
Show2DLeft(hObject, handles);
%  %%%%%%%%%%%%%%    STATISTICS        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function STATISTIC_Callback(hObject, eventdata, handles)
% hObject    handle to STATISTIC (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% STATISTICAL ANALYSIS

disp('ValidationCallbackStatistics')
ctfroot
pwd

settings_struct = {...
    'separator' , '' , '','';...
    'Sort results by','LIST' ,  {'Volume','Sphericity' ,'Distance' ,'Random' , 'None' } , '';...
    'separator' , '' , '','';...
    };
settings = [];
settings.LIST =  {'Volume','Sphericity' ,'Distance' ,'Random' , 'None' } ;
cDialogInputs = PrepareSettingDialog('Analysis', settings_struct, settings);

if handles.BATCH ==0 ;
    [settings, status] = settingsdlg(cDialogInputs{:});
elseif handles.BATCH ==1;
    [settings, status] = settingsdlgauto(cDialogInputs{:});
end
if strcmpi(status, 'cancel')
    return ;
elseif isempty(status)
    return ;
else
    
    U = findobj('Enable' , 'on') ;
    for i =1:length(U)
        set(U(i) , 'Enable' , 'off')
    end
    
    
    hh=waitbar(0,'region properties calculation in progress...');
    javaFrame = get(hh,'JavaFrame');
    myIcon='MainIcon.gif';
    
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    figHandles = findobj('Type','figure');
    set(figHandles(:), 'Pointer', 'watch');
    
    STATS = regionprops(handles.STEMCellImage.NucleiSegmentsOrig, 'all') ;
    %
    if handles.Validationcheck==1
        handles.STEMCellImage.NucleiSegments=  bwlabeln(handles.STEMCellImage.NucleiSegments);
        STATS = regionprops(handles.STEMCellImage.NucleiSegments, 'all') ;
    end
    waitbar(0.4,hh);
    
    switch settings.LIST
        
        case 'Volume'
            N = size(STATS,1) ;
            for i = 1:N
                Vol(i) =STATS(i,1).FilledArea;
            end
            [SortV,IX] = sort(Vol);
            for i= 1:N
                NewSTAT(i,1) = STATS(IX(i));
                idx= STATS(i,1).PixelIdxList;
                handles.STEMCellImage.NucleiSegments(idx)= find(IX==i)  ;
            end
            
        case 'Sphericity'
            N = size(STATS,1) ;
            for i = 1:N
                SurfArea(i) = STATS(i,1).Area;
                Vol(i) = STATS(i,1).FilledArea;
            end
            for i = 1:N
                [volume(i) surface_area(i) sphericity(i)] = Function_SPH(STATS(i,1).FilledImage);
            end
            PSY = sphericity ;
            [SortV,IX] = sort(PSY);
            for i= 1:N
                NewSTAT(i,1) = STATS(IX(i));
                idx= STATS(i,1).PixelIdxList;
                handles.STEMCellImage.NucleiSegments(idx)= find(IX==i)  ;
            end
            
        case 'Distance'
            N = size(STATS,1) ;
            for i = 1:length(STATS)
                P1(i,:) = STATS(i).Centroid ;
                P2(i,:) = STATS(i).Centroid ;
            end
            for i = 1:length(STATS)
                D(:,i) = distancePoints3d(P1(i,:), P2) ;
            end
            for i = 1:length(STATS)
                MINDistD(i)  = min(D(D(:,i)>0,i)) ;
            end
            [SortV,IX] = sort(MINDistD);
            for i= 1:N
                NewSTAT(i,1) = STATS(IX(i));
                idx= STATS(i,1).PixelIdxList;
                handles.STEMCellImage.NucleiSegments(idx)= find(IX==i)   ;
            end
            
        case 'Random'
            N = size(STATS,1) ;
            p = randperm(N) ;
            for i = 1:N
                NewSTAT(i,1) = STATS(p(i));
                idx= STATS(i,1).PixelIdxList;
                handles.STEMCellImage.NucleiSegments(idx)=  find(p==i,1) ;
            end
            
            
        case 'None'
            N = size(STATS,1) ;
            for i = 1:N
                NewSTAT(i,1) = STATS(i) ;
                idx= STATS(i,1).PixelIdxList;
                handles.STEMCellImage.NucleiSegments(idx)= (i) ;
            end
    end
    
    waitbar(0.7,hh);
    N = size(STATS,1) ;
    handles.STATS = NewSTAT ;
    for i = 1:N
        idx = [];
        idx = NewSTAT(i).PixelIdxList ;
        Mint(i)= mean(handles.STEMCellImage.NucleiImage3D(idx)) ;
    end
    for i = 1:N
        [volume(i), surface_area(i), sphericity(i)] = Function_SPH(NewSTAT(i,1).FilledImage);
    end
    sphericity(find(sphericity==inf))=0;
    for i = 1:N
        SurfArea(i) = NewSTAT(i,1).Area;
        Vol(i) = NewSTAT(i,1).FilledArea;
    end
    PSY = sphericity ;
    for i = 1:N
        Volumeinpixel(i) =NewSTAT(i,1).FilledArea;
        P1(i,:) =NewSTAT(i).Centroid ;
        P2(i,:) = NewSTAT(i).Centroid ;
    end
    for i = 1:N
        D(:,i) = distancePoints3d(P1(i,:), P2) ;
    end
    for i = 1:N
        MINDistD(i)  = min(D(D(:,i)>0,i)) ;
    end
    
    waitbar(0.9,hh);
    data=get(handles.uitable1,'Data') ;
    xy_res = data{3,2} ;  vox = data{5,2} ;
    
    if handles.Validationcheck==1
        handles.idremoveL = [];
        handles.Validationcheck=0;
        
    end
    Res.M_minD        = mean(MINDistD)       .*(xy_res.*vox)     ;
    Res.M_volNuclei   =  mean(Volumeinpixel) .*(xy_res.*vox)^3  ;
    Res.std_minD      =  std(MINDistD)       .*(xy_res.*vox)     ;
    Res.std_volNuclei =  std(Volumeinpixel)  .*(xy_res.*vox)^3  ;
    handles.Results = Res ;
    
    cnames = {'<html><center>Volume<br />(um^3)</center></html>',...
        '<html><center>Sphericity</center></html>',...
        '<html><center>Nearest neighbour<br />D (pix)</center></html>' ,...
        '<html><center>Intensity</center></html>'};
    handles.c2names = {'Volume (um^3)',...
        'Sphericity',...
        'Nearest neighbour D (pix)' ,...
        '<Intensity>'};
    set(handles.uitableNucleiProperties,'ColumnName',cnames);
    
    for i = 1 :N
        Result_each{i,1} = Volumeinpixel(i).*(xy_res.*vox)^3  ;
        Result_each{i,3} = MINDistD(i) ;
        Result_each{i,2} = PSY(i) ;
        Result_each{i,4} = Mint(i);
    end
    
    set(handles.uitableNucleiProperties,'Data',Result_each)  ;
    
    
    data=get(handles.uitable1,'Data') ;
    
    data{1,7} =  '<Nearest neighbour dist> \um' ;
    data{1,8} =  Res.M_minD ;
    data{2,7} =   '<Nuclei Vol.> \um^3';
    data{2,8} =  Res.M_volNuclei ;
    data{3,7} = '<Sphericity>' ;
    data{3,8} = mean(PSY);
    data{4,7} = 'Sorted by ';
    data{4,8} =  char(settings.LIST );
    data{5,7} = 'N_ manually added seeds' ;
    if ~isempty(data{5,8}) ==1
        data{5,8}=data{5,8};
        if ~isempty(handles.idremoveL)==1
            data{5,8}=data{5,8}-handles.idremoveL;
        end
    else
        data{5,8} = 0 ;
    end
    data{6,5} = 'Number of nuclei'    ;
    data{6,6} = N ;
    set(handles.uitable1,'Data',data)  ;
    
    for i =1:length(U)
        set(U(i) , 'Enable' , 'on')
    end
    
    set(handles.plot_stat, 'Enable' , 'on' )
    set(handles.uitableNucleiProperties , 'Visible' , 'on' )
    
    jScroll = findjobj(handles.uitableNucleiProperties);
    jTable = jScroll.getViewport.getView;
    jTable.setAutoResizeMode(jTable.AUTO_RESIZE_SUBSEQUENT_COLUMNS);
    
    hMainGui     = getappdata(0, 'hMainGui');
    setappdata(hMainGui, 'handles', handles);
end

set(figHandles, 'Pointer', 'arrow');
close(hh)

set(gcf,'WindowButtonDownFcn',@tablecallback)
set(handles.AddSeeds            , 'Enable' , 'on')
set(handles.RemoveSeeds         , 'Enable' , 'on')
set(handles.Cell_Segmentation   , 'Enable' , 'on' );
set(handles.Export              , 'Enable' , 'on' );
set(handles.toggleCellPanel     , 'Enable' , 'on' );
guidata(hObject, handles);
Show2DRight(hObject, handles);
Show2DLeft(hObject, handles);
%  %%%%%%%%%%%%%%    SAVE EXPORT RESULTS        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Export_Callback(hObject, eventdata, handles)
% hObject    handle to Export (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% pwd
% hobb = hObject


handles=guidata(handles.output);
Dato = get(handles.uitable1,'Data') ;
[~, name,~] = fileparts(Dato{2,2}) ;

if handles.BATCH ==0 ;
    pathname = uigetdir(Dato{1,2})   ;
elseif handles.BATCH ==1;
    pathname = strcat(Dato{1,2},filesep,'Batch_Result')   ; %,...
    
end

if pathname==0
    return ;
    
else
    pathname = strcat(pathname,filesep,name,'_OpenSegSPIMResults_',filesep)  ;
    
    mkdir(pathname)
    
    
    Outputfilename1 = 'Nucleisegmented2.tif';
    Outputfilename1bis = 'Nucleisegmentedfill.tif';
    Outputfilename2 = 'MaskandSeeds2.tif'  ;
    Outputfilename3 = 'Settings_file.txt'           ;
    Outputfilename4 = 'OriginalStack.tif'   ;
    Outputfilename5 = 'Nuclei_measurement_results.txt'           ;
    Outputfilename6 = 'Postremoved.tif'  ;
    Outputfilename7 = 'Postkept.tif'  ;
    Outputfilename8    = 'All_Seeds.tif' ;
    U = findobj('Enable' , 'on') ;
    for i =1:length(U)
        set(U(i) , 'Enable' , 'off')
    end
    
    figHandles = findobj('Type','figure');
    set(figHandles(:), 'Pointer', 'watch');
    
    
    if exist(strcat(pathname,Outputfilename1),'file')==2
        
        settings_struct = {...
            'separator', 'Folder already exist! Do you want to overwrite?', '','';...
            '', 'w',{'yes','no'},'';...
            'separator', '', '', '';...
            };
        settings = [];
        settings.w={'yes','no'};
        cDialogInputs = PrepareSettingDialog('Destination folder.', settings_struct, settings);
        [settings, status] = settingsdlg(cDialogInputs{:});
        
        if (strcmpi(status, 'cancel')   || isempty(status) )
            
            set(figHandles, 'Pointer', 'arrow');
            
            for i =1:length(U)
                set(U(i) , 'Enable' , 'on')
            end
            
            
            
            return;
            
            
            
            
        elseif strcmpi(settings.w, 'no')
            
            pathname = uigetdir(Dato{1,2},'Please create new folder.')   ;
            pathname = strcat(pathname,filesep,name,'_OpenSegSPIMResults_',filesep)  ;
            
            mkdir(pathname)
            
            handles=   saveNuclei( handles,pathname,U) ;
            
            
            
            
        elseif strcmpi(settings.w, 'yes')
            
            delete(strcat(pathname,Outputfilename1))
            delete(strcat(pathname,Outputfilename1bis))
            delete(strcat(pathname,Outputfilename2))
            delete(strcat(pathname,Outputfilename4))
            delete(strcat(pathname,Outputfilename5))
            delete(strcat(pathname,Outputfilename6))
            delete(strcat(pathname,Outputfilename7))
            delete(strcat(pathname,Outputfilename3))
            delete(strcat(pathname,Outputfilename8))
            
            pause(1) ;
            
            handles= saveNuclei( handles,pathname,U) ;
            
            
            
        end
        
        
    else
        
        
        handles =  saveNuclei(handles,pathname,U);
        
    end
    
    
end

guidata(hObject, handles);

return;
%  %%%%%%%%%%%%% BATCH PROCESS MODE        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Batchrun_Callback(hObject, eventdata, handles)
% hObject    handle to Batchrun (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)



handles.BATCH=1;
handles.PresetState=1;
if ispc==4
    [Fname, Pname] = uigetfile('*Settings_file*.txt','Select text file containing parameters table');
else
    [Fname, Pname] = uiGetFiles_txt(0);
end
if Fname==0 % if user cancel and don t select a file
    handles.PresetState=0;
    handles.Preset= [];
    return;
else
    [data, result]= readtext(strcat(Pname,Fname),'\t' ,'','','');
    handles.Preset = data ;
end

handles.BATCH=1;

handles.PresetState=1;
if ispc==4
[FileList,Foldername] = uigetfile('*.tif', 'Select multiple files to be processed', 'MultiSelect', 'on' );
else
    [FileList,Foldername] = uiGetFiles(1);
end
for i =1:size(FileList,2)
    Filenames{i,1}.name=FileList{i};
end
N = size(Filenames,1) ;
handles.BatchPath=Foldername;
handles.BatchFilename=Filenames;


for i = 1:N
    
    handles.BATCHITERATION=i;
    set(handles.Batchrun , 'String' , strcat('processing stack:',num2str(i),'/',num2str(N)))
    LoadImage_Callback(hObject, eventdata, handles)
    handles=guidata(handles.output);
    Preprocessing_Callback(handles.Preprocessing,eventdata,handles)
    handles=guidata(handles.output);
    Masking_Callback(handles.Masking,eventdata,handles)
    handles=guidata(handles.output);
    Seeding_Callback(handles.Seeding,eventdata,handles)
    handles=guidata(handles.output);
    Segmentation_Callback(handles.Segmentation,eventdata,handles)
    handles=guidata(handles.output);
    STATISTIC_Callback(handles.STATISTIC,eventdata,handles)
    handles=guidata(handles.output);
    Export_Callback(handles.Export,eventdata,handles)
    handles=guidata(handles.output);
    
    
end
set(handles.Batchrun , 'String' , 'Batch run completed!')
handles.BATCH=0;






guidata(hObject, handles);

%  %%%%%%%%%%%%% VALIDATION        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Validation_Callback(hObject, eventdata, handles)
% hObject    handle to Validation (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

disp('ValidationCallback')
ctfroot
pwd
% disp('Help end')


figHandles = findobj('Type','figure');
set(figHandles, 'Pointer', 'watch');
%
% close(hh)



handles.Validationcheck=1 ;

LoadImage_Callback(hObject, eventdata, handles)
handles.BATCH=0;
handles=guidata(handles.output);


if isfield(handles,'Lastexec')==0
    
    set(figHandles, 'Pointer', 'arrow');
    return
end


if strcmp(handles.Lastexec ,'Loaded')==1 ;
    
else
    
    set(figHandles, 'Pointer', 'arrow');
    return
end




U = findobj('Enable' , 'on') ;
for i =1:length(U)
    set(U(i) , 'Enable' , 'off')
end

set(figHandles, 'Pointer', 'watch');


Datinit = get(handles.uitable1,'Data') ;

pathname =  Datinit{1,2};

TotFil = dir(pathname);


for i = 1:length(TotFil)
    
    
    if (strcmp(TotFil(i).name,'MaskandSeeds2.tif'))==1
        MandS = i ;
    end
    if (strcmp(TotFil(i).name,'Nucleisegmented2.tif'))==1
        Segmented= i;
    end
    
    if (strcmp(TotFil(i).name,'Settings_file.txt'))==1
        settingf= i;
    end
    
    if (strcmp(TotFil(i).name,'Nuclei_measurement_results.txt'))==1
        Nucleistat= i;
    end
    if (strcmp(TotFil(i).name,'All_Seeds.tif'))==1
        Seeeds= i;
    end
end


[LX,LY,LZ]=size(handles.STEMCellImage.NucleiImage3D);

[data, result]= readtext([pathname,filesep, TotFil(settingf).name],'\t' ,'','','');
data(1,:) = [] ;
handles.Preset = data ;
set(handles.uitable1,'Data',data);



handles.BATCH=1;
handles.PresetState=1;
handles.STEMCellImage.removed = [];
handles.STEMCellImage.kept = [];
NSeeds = data{6,6};

if NSeeds>255
    bitidx = 65535 ;
else
    bitidx = 255 ;
end


for i = 1:LZ
    Seedsim(:,:,i,:) =  imread([pathname,filesep, TotFil(Seeeds).name],i);
    MSim(:,:,i,:) = imread([pathname,filesep, TotFil(MandS).name],i);
end



handles.Nucleicenter = mat2gray(Seedsim(:,:,:,1)) ;
handles.STEMCellImage.NucleiSeeds=mat2gray(Seedsim(:,:,:,3));

handles.STEMCellImage.NucleiMandS = MSim;

handles.STEMCellImage.NucleiMasked = mat2gray(MSim);

handles.STEMCellImage.NucleiMask = mat2gray(imfill(MSim(:,:,:,1),'holes')) ;

handles.STEMCellImage.NucleiSeedsDilated=mat2gray(MSim(:,:,:,2));

handles.STEMCellImage.NucleiPreprocessed = mat2gray(MSim(:,:,:,3));

[imgSegmented, immeta] = readTIffstacks([pathname,filesep],TotFil(Segmented).name);

handles.STEMCellImage.NucleiSegments = double((NSeeds./bitidx)*imgSegmented{1}) ;
handles.STEMCellImage.NucleiSegmentsOrig = double((NSeeds./bitidx)*imgSegmented{1}) ;

toc



[SeedsSegment,~] = bwlabeln(handles.Nucleicenter,26);
S = regionprops(SeedsSegment,'centroid');
seedscentroids  = round(cat(1, S.Centroid));
handles.seedscentroids = seedscentroids;





sliderValue = round(get(handles.ZSlice_ID,'Value')) ;
set(handles.ZSlice_ID,'Value',sliderValue);
[LX,LY,LZ]=size(handles.STEMCellImage.NucleiImage3D);
imn = mat2gray( handles.STEMCellImage.NucleiSegments );
ProcessedImage =zeros(LX,LY,3);
ProcessedImage(:,:,3) =imn(:,:,sliderValue);
ProcessedImage = mat2gray(ProcessedImage) ;
NUM = NSeeds;
clims = [0 NUM+0] ;
imagesc(handles.STEMCellImage.NucleiSegments(:,:,sliderValue) , clims);
cmap = colormap(jet(NUM));
handles.COLORMAPSETTINGS = cmap;
cmap (1,:) = [0,0,0] ;
colormap(cmap)
handles.NSeeds = NUM ;

DisplayImage =zeros(LX,LY,3);
DisplayImage(:,:,3) = handles.STEMCellImage.NucleiImage3D(:,:,sliderValue);
imagesc(DisplayImage,'Parent',handles.Display) ;




hhSlider = handle(handles.ZSlice_ID);
hProp = findprop(hhSlider,'Value');
hListener1 = handle.listener(handles.ZSlice_ID,hProp,'PropertyPostSet',@(s, e) Show2DRight(hObject,handles));
hListener2 = handle.listener(handles.ZSlice_ID,hProp,'PropertyPostSet',@(s, e) Show2DLeft(hObject,handles));
setappdata(handles.ZSlice_ID,'sliderListener1',hListener1);
setappdata(handles.ZSlice_ID,'sliderListener2',hListener2);

handles.PLabl=3 ;
handles.menu.p{1}='off';
handles.menu.p{2}='off';
handles.menu.p{3}='on';
handles.menu.p{4}='off';






STATISTIC_Callback(handles.STATISTIC,eventdata,handles)
handles=guidata(handles.output);
handles.BATCH=0;
handles.PresetState=0;




U = findobj('Enable' , 'off') ;
for i =1:length(U)
    set(U(i) , 'Enable' , 'on')
end

set(figHandles, 'Pointer', 'arrow');

guidata(hObject, handles);
Show2DRight(hObject, handles);
Show2DLeft(hObject, handles);
%  %%%%%%%%%%%%%% CELL MEMBRANE SEGMENTATION   %%%%%%%%%%%%%%%%%%%%%%%%%%
function Cell_Segmentation_Callback(hObject, eventdata, handles)
% hObject    handle to Cell_Segmentation (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)



if isempty(handles.STEMCellImage.NucleiImage3D_origMembrane)
    
    settings_struct = {...
        'separator', 'Error! Cell membrane channel not found.', '', ''; ...
        'separator', '', '', '';...
        'separator', 'Try to load another file containing the membrane stack ?', '','';...
        '', 'w',{'yes','no'},'';...
        'separator', '', '', '';...
        };
    settings = [];
    settings.w={'yes','no'};
    
    cDialogInputs = PrepareSettingDialog('Cell stack error!', settings_struct, settings);
    
    [settings, status] = settingsdlg(cDialogInputs{:});
    
    
    if (strcmpi(status, 'cancel') || strcmpi(settings.w, 'no') || isempty(status) )
        return;
    else
        
        Dato = get(handles.uitable1,'Data') ;
        ptme = Dato{1,2};
        pause(0.5);
        
        if ispc==4
            [filename, pathname] = uigetfile( ...
                {'*.tif', 'Supported Image Files';}, ...
                'Pick image data',ptme);
        else
            [filename, pathname] = uiGetFiles(0) ;
        end
        
       
        [imgs, immeta] = readTIffstacks(pathname,filename);
        
        
        
        
        
        
        
        
        
        
            
        Sin = size(imgs,2);
        if size(imgs,2)>1
            [LX LY LZ] = size(imgs{1});
            
            hfg = figure ;
            javaFrame = get(hfg,'JavaFrame');
            myIcon='MainIcon.gif';
            [pathstr,name]=fileparts(which('OpenSegSPIM'));
            myIcon=[pathstr,filesep,'MainIcon.gif'];
            javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
            set(hfg,'WindowStyle','modal');
            set(hfg, 'Name','Please Select Channel to be segmented and close the figure','NumberTitle','off');
            set(gcf,'MenuBar','none')
            hold on;   axis 'square'        
            AA = zeros(LX,LY,3) ;
            a = zeros(size(AA, 1), size(AA, 2));
            u = [1 2 3];
            v = [2 1 1];
            w = [3 3 2];
            for i = 1:size(imgs,2)
                AA (:,:,i) = (max(imgs{i}(:,:,:),[],3)) ;
                AA = mat2gray(AA) ;
                Eachchannel{i} = AA(:,:,i) ;
                Color{i}(:,:,u(i)) = Eachchannel{i} ;
                Color{i}(:,:,v(i)) = 0;
                Color{i}(:,:,w(i)) = 0;
                
            end
            axis 'square'
            for i = 1:size(imgs,2)
                
                ax=  subplot(1,Sin,i);
                hRGB(i)= imagesc(Color{i}) ;
                
                set(ax,'Xtick',[],'Ytick',[],'Visible','on','hittest','off');
                xlabel(strcat({'Channel '},num2str(i)),'Color',[1 1 1])
                set(hRGB(i),'userdata',i)
                set(hRGB(i), 'ButtonDownFcn', @subplotclick)
            end
                 
set(gca,'color',[1,1,1]*0.05);
set(gcf,'color',[1,1,1]*0.05);

           waitfor(hfg) ;       
hMainGui = getappdata(0, 'hMainGui');
IndiceImage = getappdata(hMainGui, 'Windowchosed')  ;
            
           
       imgg = imgs ;
       imgs = [] ; 
       imgs{1} = imgg{IndiceImage}  ;
           disp (strcat('u have selected channel : ',num2str(IndiceImage)))
          
       end
       
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        handles.STEMCellImage.NucleiImage3D_origMembrane = imgs{1};
        
        [LX LY LZ] = size(handles.STEMCellImage.NucleiImage3D_origMembrane);
    end
    
else
    
    [LX LY LZ] = size(handles.STEMCellImage.NucleiImage3D_origMembrane);
    
end

pause(0.5);

settings_struct = {...
    'separator', 'Set treshold level:', '', ''; ...
    'Global treshold level (~0.1)', 'TreshLvl', 0.1, 'on';...
    'separator', '', '', '';...
    };
settings = [];
settings.TreshLvl=0.1;

cDialogInputs = PrepareSettingDialog('Cell Segmentation', settings_struct, settings);

if handles.BATCH ==0 ;
    [settings, status] = settingsdlg(cDialogInputs{:});
elseif handles.BATCH ==1;
    
    [settings, status] = settingsdlgauto(cDialogInputs{:});
end
if strcmpi(status, 'cancel')
    return ;
elseif isempty(status)
    return ;
else
    
    
    hh=waitbar(0,'Cell segmentation. Please wait ...');
    javaFrame = get(hh,'JavaFrame');
    
    
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    
    
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    figHandles = findobj('Type','figure');
    set(figHandles(:), 'Pointer', 'watch');
    sliderValue = round(get(handles.ZSlice_ID,'Value')) ;
    set(handles.ZSlice_ID,'Value',sliderValue);
    
    Dato = get(handles.uitable1,'Data') ;
    filename = strcat(Dato{2,2});
    pathname = strcat(2,Dato{1,2},filesep);
    xy_resolution = Dato{3,2};
    z_step = Dato{4,2};
    voxel_size= Dato{5,2};
    RFACTOR = xy_resolution./z_step;
    
    [xi,yi,zi] = meshgrid(1:voxel_size:LY,1:voxel_size:LX,1:(RFACTOR*voxel_size):LZ);
    [x,y,z] = meshgrid(1:1:LY,1:1:LX,1:1:LZ);
    
    try
        im = interp3(x,y,z,double(handles.STEMCellImage.NucleiImage3D_origMembrane),xi,yi,zi,'cubic');
    catch exception
        disp('Warning: interpolation method linear and not cubic...')
        im = mirt3D_mexinterp(double(handles.STEMCellImage.NucleiImage3D_origMembrane), xi,yi,zi) ;
    end
    
    handles.STEMCellImage.MembraneImage3D = mat2gray(im);
    sliderValue = round(get(handles.ZSlice_ID,'Value')) ;
    set(handles.ZSlice_ID,'Value',sliderValue);
    NucleiImage3D = handles.STEMCellImage.NucleiImage3D;
    MembraneImage3D = handles.STEMCellImage.MembraneImage3D;
    [LX LY LZ] = size(MembraneImage3D);
    NucleiBW = handles.STEMCellImage.NucleiBW;
    imn = MembraneImage3D ;
    
    %------ALGO ALGO --------
    imn = imfilter(imn ,function_GaussKernel3D(3,3));
    
    
    
    Treshlvl =settings.TreshLvl;
    CellMask = imn>Treshlvl*graythresh(imn);
    CellMask=CellMask | NucleiBW;
    CellMask= imfill(CellMask,'holes');
    imnc= imn  - NucleiImage3D ;
    eroded = imerode(NucleiBW, function_Ball3D(5));
    D = imimposemin(imnc,eroded|~CellMask);
    L = watershed(D);
    L(L==1)=0;
    CellBodyBW = CellMask;
    CellBodyBW = (CellBodyBW -(L==0))>0;
    CellBodySeg = bwlabeln(CellBodyBW,26);
    CellBodyNumber = max(CellBodySeg(:));
    %%
    idx=0;
    while CellBodyNumber>Dato{6,6}
        waitbar(5*idx,hh,'Adjusting threshold. Please wait ...');
        
        Treshlvl =settings.TreshLvl+idx;
        CellMask = imn>Treshlvl*graythresh(imn);
        CellMask=CellMask | NucleiBW;
        
        CellMask= imfill(CellMask,'holes');
        
        imnc= imn  - NucleiImage3D ;
        data=get(handles.uitable1,'Data');
        dilparam = round(3/data{5,2});
        if iseven(dilparam)
            dilparam=dilparam+1;
        end
        
        eroded = imerode(NucleiBW, function_Ball3D(dilparam));
        D = imimposemin(imnc,eroded|~CellMask);
        L = watershed(D);
        L(L==1)=0;
        CellBodyBW = CellMask;
        CellBodyBW = (CellBodyBW -(L==0))>0;
        
        CellBodySeg = bwlabeln(CellBodyBW,26);
        CellBodyNumber = max(CellBodySeg(:));
        idx=idx+0.05 ;
        if settings.TreshLvl+idx >1
            break;
        end
        
    end
    
    waitbar(0.9,hh,'Cell segmentation. Please wait...');
    
    CellSegments = bwperim(CellBodyBW,26);
    CellSegments = bwlabeln(CellSegments,26);
    handles.STEMCellImage.CellSegments = CellSegments;
    handles.STEMCellImage.MembraneSegments = CellBodySeg;
    set(figHandles, 'Pointer', 'arrow');
    close (hh);
    
    handles.NCell=CellBodyNumber;
    data=get(handles.uitable1,'Data') ;
    cnames = {'Loaded File'...
        ,'','Enhancement'...
        ,'','Detection & Segmentation'   ...
        ,'','Statistics','','Cell ',''};
    set(handles.uitable1,'ColumnName',cnames);
    data{1,9} =  'Threshold value' ;
    data{1,10} =  settings.TreshLvl+idx ;
    
    set(handles.uitable1,'Data',data)  ;
    handles.STEMCellImage.CellSegmentsOrig = handles.STEMCellImage.CellSegments;
    
    set(handles.CellStatistics,'Enable','on')
    
    handles.PLabl=4;
    handles.DLabl=4;
    handles.menu.d{1}='off';
    handles.menu.d{2}='off';
    handles.menu.d{3}='off';
    handles.menu.d{4}='on';
    handles.menu.p{1}='off';
    handles.menu.p{2}='off';
    handles.menu.p{3}='off';
    handles.menu.p{4}='on';
    
end


guidata(hObject, handles);

Show2DRight(hObject, handles);
Show2DLeft(hObject, handles);

%  %%%%%%%%%%%%%% CELL STATISTICS   %%%%%%%%%%%%%%%%%%%%%%%%%%
function CellStatistics_Callback(hObject, eventdata, handles)
% hObject    handle to CellStatistics (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


settings_struct = {...
    'separator' , '' , '','';...
    'Sort results by','LIST' ,  {'Volume','Sphericity' ,'Distance' ,'Random' , 'None' } , '';...
    'separator' , '' , '','';...
    };
settings = [];
settings.LIST =  {'Volume','Sphericity' ,'Distance' ,'Random' , 'None' } ;
cDialogInputs = PrepareSettingDialog('Cell analysis', settings_struct, settings);



if handles.BATCH ==0 ;
    [settings, status] = settingsdlg(cDialogInputs{:});
elseif handles.BATCH ==1;
    
    [settings, status] = settingsdlgauto(cDialogInputs{:});
end
if strcmpi(status, 'cancel')
    return ;
elseif isempty(status)
    return ;
else
    
    %
    U = findobj('Enable' , 'on') ;
    for i =1:length(U)
        set(U(i) , 'Enable' , 'off')
    end
    
    
    hh=waitbar(0,'region properties calculation in progress...');
    javaFrame = get(hh,'JavaFrame');
    myIcon='MainIcon.gif';
    
    [pathstr,name]=fileparts(which('OpenSegSPIM'));
    myIcon=[pathstr,filesep,'MainIcon.gif'];
    
    % myIcon= ('\function\Help\MainIcon.gif');
    javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
    figHandles = findobj('Type','figure');
    set(figHandles(:), 'Pointer', 'watch');
    
    STATS = regionprops(handles.STEMCellImage.CellSegmentsOrig, 'all') ;
    
    waitbar(0.4,hh);
    
    if strcmp(settings.LIST,'Volume')==1
        
        
        N = size(STATS,1) ;
        for i = 1:N
            Vol(i) =STATS(i,1).FilledArea;
        end
        [SortV,IX] = sort(Vol);
        for i= 1:N
            NewSTAT(i,1) = STATS(IX(i));
            %  NewVol(i,1) = VOLUME(IX(i));
            idx= STATS(i,1).PixelIdxList;
            handles.STEMCellImage.CellSegments(idx)= find(IX==i)  ;
        end
        
        
        
    elseif strcmp(settings.LIST,'Sphericity')==1
        
        N = size(STATS,1) ;
        for i = 1:N
            SurfArea(i) = STATS(i,1).Area;
            Vol(i) = STATS(i,1).FilledArea;
        end
        
        for i = 1:N
            [volume(i) surface_area(i) sphericity(i)] = Function_SPH(STATS(i,1).FilledImage);
            
        end
        
        
        PSY = sphericity ;
        [SortV,IX] = sort(PSY);
        for i= 1:N
            NewSTAT(i,1) = STATS(IX(i));
            idx= STATS(i,1).PixelIdxList;
            handles.STEMCellImage.CellSegments(idx)= find(IX==i)  ;
        end
        
        i
        
        
    elseif strcmp(settings.LIST,'Distance')==1
        
        N = size(STATS,1) ;
        for i = 1:length(STATS)
            P1(i,:) = STATS(i).Centroid ;
            P2(i,:) = STATS(i).Centroid ;
        end
        for i = 1:length(STATS)
            D(:,i) = distancePoints3d(P1(i,:), P2) ;
        end
        for i = 1:length(STATS)
            MINDistD(i)  = min(D(D(:,i)>0,i)) ;
        end
        [SortV,IX] = sort(MINDistD);
        
        for i= 1:N
            NewSTAT(i,1) = STATS(IX(i));
            idx= STATS(i,1).PixelIdxList;
            handles.STEMCellImage.CellSegments(idx)= find(IX==i)   ;
        end
        
        
    elseif strcmp(settings.LIST,'Random')==1
        
        
        N = size(STATS,1) ;
        p = randperm(N) ;
        for i = 1:N
            NewSTAT(i,1) = STATS(p(i));
            idx= STATS(i,1).PixelIdxList;
            handles.STEMCellImage.CellSegments(idx)=  find(p==i,1) ;
        end
        
        
    elseif strcmp(settings.LIST,'None')==1
        
        N = size(STATS,1) ;
        for i = 1:N
            NewSTAT(i,1) = STATS(i) ;
            idx= STATS(i,1).PixelIdxList;
            handles.STEMCellImage.CellSegments(idx)= (i) ;
        end
    end
    
    waitbar(0.7,hh);
    
    %%
    N = size(STATS,1) ;
    
    handles.CellSTATS = NewSTAT ;
    
    
    for i = 1:N
        idx = [];
        idx = NewSTAT(i).PixelIdxList ;
        Mint(i)= sum(handles.STEMCellImage.MembraneImage3D(idx)) ;
    end
    
    
    for i = 1:N
        [volume(i), surface_area(i), sphericity(i)] = Function_SPH(NewSTAT(i,1).FilledImage);
    end
    sphericity(find(sphericity==inf))=0;
    
    for i = 1:N
        SurfArea(i) = NewSTAT(i,1).Area;
        Vol(i) = NewSTAT(i,1).FilledArea;
    end
    PSY = sphericity ;
    
    
    for i = 1:N
        Volumeinpixel(i) =NewSTAT(i,1).FilledArea;
        P1(i,:) =NewSTAT(i).Centroid ;
        P2(i,:) = NewSTAT(i).Centroid ;
    end
    
    for i = 1:N
        D(:,i) = distancePoints3d(P1(i,:), P2) ;
    end
    
    for i = 1:N
        MINDistD(i)  = min(D(D(:,i)>0,i)) ;
    end
    
    
    waitbar(0.9,hh);
    data=get(handles.uitable1,'Data') ;
    xy_res = data{3,2} ;  vox = data{5,2} ;
    Res.M_minD        = mean(MINDistD)       .*(xy_res.*vox)     ;
    Res.M_volCell   =  mean(Volumeinpixel) .*(xy_res.*vox)^3  ;
    Res.std_minD      =  std(MINDistD)       .*(xy_res.*vox)     ;
    Res.std_volCell =  std(Volumeinpixel)  .*(xy_res.*vox)^3  ;
    handles.ResultsCell = Res ;
    
    
    cnames = {'<html><center>Cell volume<br />(um^3)</center></html>',...
        '<html><center>Cell sphericity</center></html>',...
        '<html><center>Nearest neighbor<br />D (pix)</center></html>' ,...
        '<html><center>Total intensity</center></html>'};
    
    handles.cell2names = {'Cell volume (um^3)',...
        'Cell sphericity',...
        'Nearest neighbor D (pix)' ,...
        'Total intensity'};
    
    
    
    set(handles.uitableCellProperties,'ColumnName',cnames);
    tablpos=get(handles.uitableNucleiProperties,'Position');
    set(handles.uitableCellProperties,'Position',tablpos);
    for i = 1 :N
        Result_each{i,1} = Volumeinpixel(i).*(xy_res.*vox)^3 ;
        Result_each{i,3} = MINDistD(i) ;
        Result_each{i,2} = PSY(i) ;
        Result_each{i,4} = Mint(i);
    end
    
    set(handles.uitableCellProperties,'Data',Result_each)  ;
    
    
    
    data=get(handles.uitable1,'Data') ;
    
    data{2,9} =  '<nearest neighbor dist> \um' ;
    data{2,10} =  Res.M_minD ;
    data{3,9} =   '<Cell Vol.> \um^3';
    data{3,10} =  Res.M_volCell ;
    data{4,9} = '<Sphericity>' ;
    data{4,10} = mean(PSY);
    
    data{5,9} = 'sorted by ';
    data{5,10} =  char(settings.LIST );
    data{6,9} = 'N_postproccells' ;
    data{6,10} = 0 ;
    data{7,9} = 'Number of cells'    ;
    data{7,10} = N ;
    set(handles.uitable1,'Data',data)  ;
    
    
    for i =1:length(U)
        set(U(i) , 'Enable' , 'on')
    end
    
    
    set(handles.uitableCellProperties , 'Visible' , 'on' )
    pause(0.01);
    jScroll = findjobj(handles.uitableCellProperties);
    jTable = jScroll.getViewport.getView;
    jTable.setAutoResizeMode(jTable.AUTO_RESIZE_SUBSEQUENT_COLUMNS);
    set(handles.uitableNucleiProperties , 'Visible' , 'off' )
    hMainGui     = getappdata(0, 'hMainGui');
    setappdata(hMainGui, 'handles', handles);
end

set(figHandles, 'Pointer', 'arrow');
close(hh)
%
% [LX,LY,LZ]=size(handles.STEMCellImage.MembraneImage3D);
% sliderValue = round(get(handles.ZSlice_ID,'Value'));
% ProcessedImage =zeros(LX,LY,3);
% ProcessedImage = handles.STEMCellImage.CellSegments(:,:,sliderValue);

set(gcf,'CurrentAxes',handles.Processed);
set(gcf,'WindowButtonDownFcn',@tablecallback)
%
% clims = [0 N] ;
% imagesc(handles.STEMCellImage.CellSegments(:,:,sliderValue) , clims);
% cmap = colormap(jet(N));
% handles.COLORMAPSETTINGS = cmap;
% cmap (1,:) = [0,0,0] ;
% colormap(cmap)
set(handles.savecell    , 'Enable' , 'on' )



guidata(hObject, handles);

Show2DRight(hObject, handles);
Show2DLeft(hObject, handles);

% --- Executes on button press in savecell.
function savecell_Callback(hObject, eventdata, handles)
% hObject    handle to savecell (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


Dato = get(handles.uitable1,'Data') ;
[~, name,~] = fileparts(Dato{2,2}) ;

if handles.BATCH ==0 ;
    pathname = uigetdir(Dato{1,2})   ;
elseif handles.BATCH ==1;
    pathname = strcat(Dato{1,2},filesep,'Batch_Result')   ; %,...
    
end


if pathname==0
    return ;
else
    
    
    pathname = strcat(pathname,filesep,name,'_OpenSegSPIM_Cell_Results_',filesep)  ;
    mkdir(pathname)
    Outputfilename1 = 'Nucleisegmented2.tif';
    Outputfilename1bis = 'Nucleisegmentedfill.tif';
    Outputfilename2 = 'MaskandSeeds2.tif'  ;
    Outputfilename3 = 'Settings_file.txt'           ;
    Outputfilename4 = 'OriginalStack.tif'   ;
    Outputfilename5 = 'Nuclei_measurement_results.txt'           ;
    Outputfilename6 = 'Postremoved.tif'  ;
    Outputfilename7 = 'Postkept.tif'  ;
    Outputfilename8 = 'CellSegments.tif'  ;
    Outputfilename8bis = 'Cellsegmentedfill.tif';
    Outputfilename9 = 'Cell_measurement_results.txt' ;
    U = findobj('Enable' , 'on') ;
    for i =1:length(U)
        set(U(i) , 'Enable' , 'off')
    end
    figHandles = findobj('Type','figure');
    set(figHandles(:), 'Pointer', 'watch');
    
    
    if exist(strcat(pathname,Outputfilename8),'file')==2
        
        settings_struct = {...
            'separator', 'Folder already exist! Do you want to overwrite?', '','';...
            '', 'w',{'yes','no'},'';...
            'separator', '', '', '';...
            };
        settings = [];
        settings.w={'yes','no'};
        cDialogInputs = PrepareSettingDialog('Destination folder.', settings_struct, settings);
        [settings, status] = settingsdlg(cDialogInputs{:});
        
        if (strcmpi(status, 'cancel')   || isempty(status) )
            
            set(figHandles, 'Pointer', 'arrow');
            %   close(hh);
            for i =1:length(U)
                set(U(i) , 'Enable' , 'on')
            end
            
            return;
            
        elseif strcmpi(settings.w, 'no')
            pathname = uigetdir(Dato{1,2},'Please create new folder.')   ;
            pathname = strcat(pathname,filesep,name,'_OpenSegSPIM_Cell_Results_',filesep)  ;
            mkdir(pathname)
            saveCell( handles,pathname,U)
            
        else
            delete(strcat(pathname,Outputfilename1));
            delete(strcat(pathname,Outputfilename1bis));
            delete(strcat(pathname,Outputfilename2));
            delete(strcat(pathname,Outputfilename3));
            delete(strcat(pathname,Outputfilename4));
            delete(strcat(pathname,Outputfilename5));
            delete(strcat(pathname,Outputfilename6));
            delete(strcat(pathname,Outputfilename7));
            delete(strcat(pathname,Outputfilename8))
            delete(strcat(pathname,Outputfilename8bis));
            delete(strcat(pathname,Outputfilename9));
            saveCell( handles,pathname,U);
            
        end
        
    else
        
        saveCell( handles,pathname,U);
        
    end
    
    
    
    
end

guidata(hObject, handles);
return;


%  %%%%%%%%%%%%%  END CORE FUNCTIONS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%

%  %%%%%%%%%%%%%%    INTERNAL FUNCTIONS    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Executes on button press in toggleNucleiPanel.
function toggleNucleiPanel_Callback(hObject, eventdata, handles)
% hObject    handle to toggleNucleiPanel (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% Hint: get(hObject,'Value') returns toggle state of toggleNucleiPanel
togp=get(handles.toggleNucleiPanel,'Value');
if togp==1
    set(hObject,'Value',0)
    set(handles.toggleCellPanel,'Value',0);
    set(hObject,'ForegroundColor',[0 0 0])
    set(handles.toggleCellPanel,'ForegroundColor',[0.5 0.5 0.5])
    set(handles.ArrayNuclei, 'Visible', 'on');
    set(handles.ArrayCell, 'Visible', 'off');
    if ~isempty(get(handles.uitableNucleiProperties,'Data'))
        if size(get(handles.uitableNucleiProperties,'Data'))~=[4,2]
            set(handles.uitableNucleiProperties , 'Visible' , 'on' );
        end
    else
        set(handles.uitableNucleiProperties , 'Visible' , 'off' );
    end
    set(handles.uitableCellProperties , 'Visible' , 'off' );
else
    return;
end

guidata(hObject, handles);
% --- Executes on button press in toggleCellPanel.
function toggleCellPanel_Callback(hObject, eventdata, handles)
% hObject    handle to toggleCellPanel (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

togp=get(handles.toggleCellPanel,'Value');
if togp==1
    PanelPos=get(handles.uipanelNuclei,'Position');
    set(hObject,'Value',0)
    set(hObject,'ForegroundColor',[0 0 0])
    set(handles.toggleNucleiPanel,'Value',0);
    set(handles.toggleNucleiPanel,'ForegroundColor',[0.5 0.5 0.5])
    set(hObject,'ForegroundColor',[0 0 0])
    set(handles.uipanelCell,'Position',PanelPos);
    set(handles.ArrayNuclei, 'Visible', 'off');
    set(handles.ArrayCell, 'Visible', 'on');
    set(handles.uitableNucleiProperties , 'Visible' , 'off' );
    if ~isempty(get(handles.uitableCellProperties,'Data'))
        if size(get(handles.uitableCellProperties,'Data'))~=[4,2]
            set(handles.uitableCellProperties , 'Visible' , 'on' );
        end
    else
        set(handles.uitableCellProperties , 'Visible' , 'off' );
    end
    
else
    return
end
guidata(hObject, handles);
% --- Executes when selected cell(s) is changed in uitableCellProperties.
function uitableCellProperties_CellSelectionCallback(hObject, eventdata, handles)
% hObject    handle to uitableCellProperties (see GCBO)
% eventdata  structure with the following fields (see UITABLE)
%	Indices: row and column indices of the cell(s) currently selecteds
% handles    structure with handles and user data (see GUIDATA)
if (~isempty(handles.STEMCellImage.CellSegments==1) && numel(eventdata.Indices)~=0 )
    
    handles=guidata(handles.output);
    STATS  = handles.CellSTATS;
    Zz = round(STATS(eventdata.Indices(1)).Centroid(3));
    Yy = round(STATS(eventdata.Indices(1)).Centroid(2));
    Xx = round(STATS(eventdata.Indices(1)).Centroid(1)) ;
    set(handles.ZSlice_ID,'Value' ,Zz)
    
    set(gcf,'CurrentAxes',handles.Processed);
    hold on ;
    drawPoint( Xx,Yy, 'Parent' , handles.Processed , 'Marker' , '+' ,...
        'MarkerSize' , 13 , 'Color' , 'w' , 'Linewidth' , 2)
    hold off ;
    
    set(gcf,'CurrentAxes',handles.Display);
    hold on ;
    drawPoint( Xx,Yy, 'Parent' , handles.Display , 'Marker' , '+' ,...
        'MarkerSize' , 13 , 'Color' , 'w' , 'Linewidth' , 2)
    hold off ;
    
end

guidata(hObject, handles);
% --- Executes when selected cell(s) is changed in uitableNucleiProperties.
function uitableNucleiProperties_CellSelectionCallback(hObject, eventdata, handles)
% hObject    handle to uitableNucleiProperties (see GCBO)
% eventdata  structure with the following fields (see UITABLE)
%	Indices: row and column indices of the cell(s) currently selecteds
% handles    structure with handles and user data (see GUIDATA)

if (~isempty(handles.STEMCellImage.NucleiSegments==1) && numel(eventdata.Indices)~=0 )
    
    handles=guidata(handles.output);
    STATS  = handles.STATS;
    Zz = round(STATS(eventdata.Indices(1)).Centroid(3));
    Yy = round(STATS(eventdata.Indices(1)).Centroid(2));
    Xx = round(STATS(eventdata.Indices(1)).Centroid(1)) ;
    set(handles.ZSlice_ID,'Value' ,Zz)
    set(gcf,'CurrentAxes',handles.Processed);
    hold on ;
    drawPoint( Xx,Yy, 'Parent' , handles.Processed , 'Marker' , '+' ,...
        'MarkerSize' , 13 , 'Color' , 'w' , 'Linewidth' , 2)
    hold off ;
    set(gcf,'CurrentAxes',handles.Display);
    hold on ;
    drawPoint( Xx,Yy, 'Parent' , handles.Display , 'Marker' , '+' ,...
        'MarkerSize' , 13 , 'Color' , 'w' , 'Linewidth' , 2)
    hold off ;
end
guidata(hObject, handles);
% --- Executes on button press in I_profile.
%


function closegui2_exportTresholds(hObject,event,handles)

handles.FOLDER=pwd;
hh=waitbar(0,'Applying Treshold ...please wait');
javaFrame = get(hh,'JavaFrame');
myIcon='MainIcon.gif';

[pathstr,name]=fileparts(which('OpenSegSPIM'));
myIcon=[pathstr,filesep,'MainIcon.gif'];

javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
figHandles = findobj('Type','figure');
set(figHandles, 'Pointer', 'watch');


Subplothandle = get(hObject , 'Children');
idx  = findobj(Subplothandle,'-property','Title');
icx  = findobj(Subplothandle,'-property','Tag');
ICC  = get(icx(:) , 'Tag');
Idxy = find ( strcmp(ICC , 'Liney'));
Idxr = find ( strcmp(ICC , 'Liner'));

waitbar(0.3,hh);


for i = 1:size(Idxr,1)
    Namey(i) = get(get(get(icx(Idxy(i)),'Parent'),'Title'),'String');
    Namer(i) = get(get(get(icx(Idxr(i)),'Parent'),'Title'),'String');
    Ty(i,:)  = get(icx(Idxy(i)),'Xdata') ;
    Tr(i,:)  = get(icx(Idxr(i)),'Xdata') ;
    Treshy   = Ty(:,1);
end


Treshtop    = Ty(:,1);
Treshbottom = Tr(:,1);
Namey       = Namey' ;
Namer       = Namer' ;

waitbar(0.8,hh);

hMainGui = getappdata(0, 'hMainGui');
setappdata(hMainGui, 'threshbot', Treshbottom);
setappdata(hMainGui, 'threshtop', Treshtop);
setappdata(hMainGui, 'treshName', Namer);


set(figHandles, 'Pointer', 'arrow');
close(hh)
delete(hObject);
function closegui2_both3D(hObject,event,handles)

figHandles = findobj('Type','figure');
set(figHandles, 'Pointer', 'arrow');
fignam=get(figHandles(:),'Name');
idx = find(strcmp(fignam(:),'OpenSegSPIM')==0);
for i =idx
    %     get(figHandles(1),'name')
    %     if strcmp(get(figHandles(1),'name'),'Original Image')
    delete(figHandles(i))
end
% to update CellTable Highlights when clicked on segmented image
function tablecallback(hObject,event,handles)

% VERY IMPORTANT PART FOR CALLBACKS RETRIEVE ALL HANDLES OF THE APP
hMainGui = getappdata(0, 'hMainGui');
handles = getappdata(hMainGui, 'handles')  ;
handles=guidata(handles.output);
% VERY IMPORTANT VIP VIP VIP
pos=get(handles.Processed,'CurrentPoint') ;
YLIM = get(handles.Processed,'YLIM');
XLIM = get(handles.Processed,'XLIM');

if (pos(1,1)>=XLIM(1) && pos(1,1) <= XLIM(2) && pos(1,2)>=YLIM(1) && pos(1,2) <= YLIM(2))
    
    sliderValue = round(get(handles.ZSlice_ID,'Value')) ;
    if handles.PLabl==4
        idx= handles.STEMCellImage.CellSegments(round(pos(1,2)),round(pos(1,1)),sliderValue);
    else
        idx= handles.STEMCellImage.NucleiSegments(round(pos(1,2)),round(pos(1,1)),sliderValue);
    end
else
    idx=0;
end

if idx>0
    
    if handles.PLabl==4
        mtable = handles.uitableCellProperties;
    else
        mtable = handles.uitableNucleiProperties;
    end
    
    jUIScrollPane = findjobj(mtable);
    jUITable = jUIScrollPane.getViewport.getView;
    jUITable.setRowSelectionInterval(idx-1, 1)
    jUITable.setRowSelectionAllowed(0);
    jUITable.setColumnSelectionAllowed(0);
    jUITable.changeSelection(idx-1,1-1, false, false);
    jUITable.repaint();
    jUIScrollPane.repaint();
    
    if handles.PLabl~=4
        set(handles.uitableCellProperties,'Selected','off');
    else
        % WHY ??
        set(handles.uitableNucleiProperties,'Selected','off')
    end
    
end

guidata(hObject, handles);
% TO EVALUTE NUCLEI DIAMETER IN PIXELS
function position_and_button(hObject,eventdata,handles)
% hObject    handle to Display (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
%
% handles=guidata(handles.output);
Button = get( ancestor(hObject,'figure'), 'SelectionType' );
YL = get(ancestor(hObject,'axes'),'ylim') ;
XL = get(ancestor(hObject,'axes'),'xlim') ;

if strcmp(Button,'normal');
    coords=get(gca,'currentpoint');
    x=coords(1,1,1);
    y=coords(1,2,1);
    Pos.initx = x ;
    Pos.inity = y ;
    r=line(x, y, 'color', [1 0 0], 'LineWidth', 2, 'hittest', 'off');
    %hittset off allows to draw new lines that start on top of an existing line.
    Pos.r = r ;
    set(gcf,'windowbuttonmotionfcn',{@continue_pencil,Pos})
    set(gcf,'windowbuttonupfcn',{@done_pencil,Pos})
    
elseif strcmp(Button,'alt');
    hMainGui = getappdata(0, 'hMainGui');
    handles = getappdata(hMainGui, 'handles')  ;
    handles=guidata(handles.output);
    ZZ = round(get(handles.ZSlice_ID,'value'));
    Ax = get (hObject , 'Parent') ;
    UU = get (Ax , 'Parent') ;
    coords=get(gca,'currentpoint');
    x=coords(1,1,1);
    y=coords(1,2,1);
    rihtdrag=get(UU,'UserData');
    if ~isempty(rihtdrag)
        A =  rihtdrag(2);
        B =  rihtdrag(1);
        Brightness.L=rihtdrag ;
    else
        A = 1;
        B = 0;
        Brightness.L=get(Ax,'CLim') ;
    end
    Brightness.init=[x,y];
    Temp=get(gca,'Children');
    tmp=get(Temp,'Type');
    idxim=find(strcmp(tmp,'image'));
    Brightness.ORIG = get(Temp(idxim));
    Brightness.U=Brightness.L;
    Brightness.XL=XL;
    Brightness.YL=YL;
    [LX,LY,LZ]=size(handles.STEMCellImage.NucleiImage3D);
    Brightness.IMA = zeros(LX,LY,3);
    Brightness.IMA(:,:,2)=handles.STEMCellImage.NucleiImage3Dbis(:,:,ZZ);
    set(gcf,'windowbuttonmotionfcn',{@continue_brightness,Brightness})
    set(gcf,'windowbuttonupfcn',{@done_brightness,Brightness})
    
end
function continue_brightness(hObject, eventdata,Brightness)
B = Brightness ;
coords=get(gca,'currentpoint'); %this updates every time i move the mouse
x=coords(1,1,1);
y=coords(1,2,1);

Pbot=abs((B.init(1)-x)./B.init(1));
Ptop=abs((B.init(2)-y)./B.init(2));
%get the line's existing coordinates and append the new ones.
cofb=0.08;
cof=1;

if  (B.init(1)-x)<=0
    B.U(1) = B.L(1)+ cofb*Pbot;
else
    B.U(1) = B.L(1)- cofb*Pbot ;
end

if  (B.init(2)-y)<=0
    B.U(2) = B.L(2)+ cof*Ptop;
else
    B.U(2) = B.L(2)- cof*Ptop ;
end

if B.U(2)<=0
    B.U(2)=0.00001;
elseif B.U(2)>1
    B.U(2)=0.999999;
end

if B.U(1)<0
    B.U(1)=0;
elseif B.U(1)>=1
    B.U(1)=0.9999999;
end

if B.U(1)>=B.U(2)
    B.U(1)=B.U(2)-0.00001;
end

TT= function_Imadjust3D(B.IMA , B.U(1), B.U(2));
imagesc(TT,'Parent',gca)
Brightness=B ;
ColLIM = B.U;
xlim(B.XL)
ylim(B.YL)

text(10,10,...
    strcat('[',num2str(ColLIM(1)),{ ' , ' },num2str(ColLIM(2)),']'),...
    'color','y' ,  'hittest', 'off')

set(gcf,'windowbuttonupfcn',{@done_brightness,Brightness})
function done_brightness(hObject, eventdata,Brightness)
%all this function does is turn the motion function off
B = Brightness ;
coords=get(gca,'currentpoint'); %this updates every time i move the mouse
x=coords(1,1,1);
y=coords(1,2,1);

TT= function_Imadjust3D(B.IMA , B.U(1), B.U(2));
H=imagesc(TT,'Parent',gca) ;
ColLIM = B.U;
xlim(B.XL)
ylim(B.YL)
set(H,'ButtonDownFcn',@position_and_button);
text(10,10,...
    strcat('[',num2str(ColLIM(1)),{ ' , ' },num2str(ColLIM(2)),']'),...
    'color','y' ,  'hittest', 'off')
set(gcf,'windowbuttonmotionfcn','')
set(gcf,'windowbuttonupfcn'    ,'')
hMainGui = getappdata(0, 'hMainGui');
if   ~isempty(getappdata(hMainGui, 'Mediansize'));
      u =  findobj('Tag','text_infoclick');
    set(u,'Visible','off') ; 
end

set(gcf,'Userdata',ColLIM)
function continue_pencil(hObject, eventdata,Pos)
r =Pos.r ;
coords=get(gca,'currentpoint'); %this updates every time i move the mouse
x=coords(1,1,1);
y=coords(1,2,1);
%get the line's existing coordinates and append the new ones.
lastx=get(r,'xdata');
lasty=get(r,'ydata');
newx=[lastx x ];
newy=[lasty y];
set(r,'xdata',newx(1:end-1:end),'ydata',newy(1:end-1:end));
Pos.lastx = x ;  Pos.lasty= y;


set(gcf,'windowbuttonupfcn',{@done_pencil,Pos})
function done_pencil(hObject, eventdata,Pos)
%all this funciton does is turn the motion function off

hMainGui = getappdata(0, 'hMainGui');
nucsize = getappdata(hMainGui, 'Msize')  ;
r =Pos.r;
lastx=get(r,'xdata');
lasty=get(r,'ydata');
Pos.lastx = lastx(end) ;  Pos.lasty= lasty(end);
P1 = [Pos.initx ,Pos.inity] ;
P2 = [Pos.lastx ,Pos.lasty] ;
D  = distancePoints(P1, P2);

if   Pos.lastx >Pos.initx
    text(Pos.lastx,Pos.lasty,strcat(num2str(D),{ 'pix'}),'color','r' ,  'hittest', 'off')
else
    text(Pos.initx,Pos.inity,strcat(num2str(D),{ 'pix'}),'color','r' ,  'hittest', 'off')
end

set(gcf,'windowbuttonmotionfcn','')
set(gcf,'windowbuttonupfcn'    ,'')
nucsize(end+1)=D ;
Meddia=median(nucsize);

[legnr,objectl]=legend({strcat('<',num2str(round(Meddia)),'>')},...
    'Location','NorthEast',...
    'color','none',...
    'TextColor','r',...
    'Xtick',[],...
    'YTick',[],...
    'Hittest','off');
set(findobj(legnr,'Type','axes'),'box','off')
set(findobj(objectl,'Type','Line'),'visible','off')

if  ~isempty(get(gcf,'UserData'))
    u =  findobj('Tag','text_infoclick');
    set(u,'Visible','off') ; 
end
setappdata(hMainGui, 'Msize', nucsize);
setappdata(hMainGui, 'Mediansize', Meddia);
% POST PROCESSING TRESHOLD ON STATISTICS EVENTS
function TreshLine(hObject,eventdata,HistH)
% hObject    handle to Display (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% handles=guidata(handles.output);
Position = get( ancestor(hObject,'axes'), 'CurrentPoint' );
Button = get( ancestor(hObject,'figure'), 'SelectionType' );
coords=get(gca,'currentpoint'); %since this is the axes callback, src=gca
x=coords(1,1,1);
y=coords(1,2,1);
Pos.initx = HistH.Height.x ;
Pos.inity = HistH.Height.y ;
Pos.HistH = HistH.Height ;
r1=line([HistH.Height.x(1) HistH.Height.x(1)], HistH.Height.y, 'color', [1 0 0], 'LineWidth', 3);
set(r1,'Tag','Liner')
r2=line([HistH.Height.x(2) HistH.Height.x(2)], HistH.Height.y, 'color', [1 1 0], 'LineWidth', 2);
set(r2,'Tag','Liney')
Shade1 = ShadePlotForEmpahsis([HistH.Height.x(1)  HistH.Height.x(1)],[1 0.5 0.5 ],0.3);
set(Shade1,'hittest','off')
set(Shade1 , 'Tag' , 'Shade1')
Shade2 = ShadePlotForEmpahsis([HistH.Height.x(2)  HistH.Height.x(2)],[1 1 0.5 ],0.3);
set(Shade2,'hittest','off')
set(Shade2 , 'Tag' , 'Shade2')
if strcmp(Button,'open');
    switch Button
        case 'normal'
            handles.last_click = 'left';
        case 'alt'
            handles.last_click = 'right';
        case 'open'
            switch handles.last_click
                case 'left'
                    handles.last_click = 'left';
                    Button = 'normal' ;
                case 'right'
                    handles.last_click = 'right';
                    Button = 'alt' ;
            end
    end
end

if strcmp(Button , 'normal')
    
    B = findobj(hObject,'-property','Tag');
    BB = get(B(:),'Tag');
    BBB = find(strcmp(BB(:),'Liney'));
    uu=B(BBB);
    if size(uu,1)>1
        r2=uu(end);
        delete(uu(1:end-1))
    elseif size(uu,1)==1
        r2=B(BBB);
    end
    
    A = findobj(hObject,'-property','Tag');
    AA = get(A(:),'Tag');
    AAA = find(strcmp(AA(:),'Liner'));
    Tagshad1 = find(strcmp(AA(:),'Shade1'));
    delete(A(Tagshad1)) ;
    uu=A(AAA);
    if size(uu,1)>1
        r1=uu(end);
        delete(uu(1:end-1))
    elseif size(uu,1)==1
        r1=A(AAA);
    end
    AAA = find(strcmp(AA(:),'dispvr'));
    delete(A(AAA))
    
    RX = get(r1,'Xdata');
    RX1= get(r2,'Xdata');
    delete(r1)
    HistH.Height.x(2) = RX1(1) ;
    
    if x>HistH.Height.x(1) && x<HistH.Height.x(2)
        r1=line([x x], HistH.Height.y, 'color', [1 0 0], 'LineWidth', 2);
        set(r1,'Tag','Liner')
        Shade1 = ShadePlotForEmpahsis([HistH.Height.x(1)  x],[0.5 0.5 0.5 ],0.5);
        set(Shade1,'hittest','off')
        set(Shade1 , 'Tag' , 'Shade1')
    else
        r1=line([HistH.Height.x(2) HistH.Height.x(2)], HistH.Height.y, 'color', [1 0 0], 'LineWidth', 2);
        set(r1,'Tag','Liner')
        Shade1 = ShadePlotForEmpahsis([HistH.Height.x(1)  HistH.Height.x(2)],[0.5 0.5 0.5 ],0.5);
        set(Shade1,'hittest','off')
        set(Shade1 , 'Tag' , 'Shade1')
    end
    
    Pos.r = r1 ;
    Pos.HistH.x(2) = HistH.Height.x(2) ;
    Pos.Shade=Shade1;
    
    
    
elseif strcmp(Button , 'alt')
    
    B = findobj(hObject,'-property','Tag');
    BB = get(B(:),'Tag');
    BBB = find(strcmp(BB(:),'Liner'));
    uu=B(BBB);
    if size(uu,1)>1
        r1=uu(end);
        delete(uu(1:end-1))
    elseif size(uu,1)==1
        r1=B(BBB);
    end
    
    A = findobj(hObject,'-property','Tag');
    AA = get(A(:),'Tag');
    AAA = find(strcmp(AA(:),'Liney'));
    Tagshad2 = find(strcmp(AA(:),'Shade2'));
    delete(A(Tagshad2)) ;
    uu=A(AAA);
    if size(uu,1)>1
        r2=uu(end);
        delete(uu(1:end-1))
    elseif size(uu,1)==1
        r2=A(AAA);
    end
    AAA = find(strcmp(AA(:),'dispvy'));
    delete(A(AAA))
    RX = get(r2,'Xdata');
    RX1= get(r1,'Xdata');
    delete(r2)
    HistH.Height.x(1) = RX1(1) ;
    
    if x>HistH.Height.x(1)&& x<HistH.Height.x(2)
        r2=line([x x], HistH.Height.y, 'color', [1 1 0], 'LineWidth', 2);
        set(r2,'Tag','Liney')
        Shade2 = ShadePlotForEmpahsis([x HistH.Height.x(2) ],[0.5 0.5 0.5 ],0.5);
        set(Shade2,'hittest','off')
        set(Shade2, 'Tag' , 'Shade2')
    else
        r2=line([HistH.Height.x(1) HistH.Height.x(1)], HistH.Height.y, 'color', [1 1 0], 'LineWidth', 2);
        set(r2,'Tag','Liney')
        Shade2 = ShadePlotForEmpahsis([HistH.Height.x(2)  HistH.Height.x(1)],[0.5 0.5 0.5 ],0.5);
        set(Shade2,'hittest','off')
        set(Shade2 , 'Tag' , 'Shade2')
    end
    Pos.r = r2 ;
    Pos.HistH.x(1) = HistH.Height.x(1) ;
    Pos.Shade = Shade2;
end

set(gcf,'windowbuttonmotionfcn',{@continue_TreshLine,Pos})
set(gcf,'windowbuttonupfcn',{@done_TreshLine,HistH})
function continue_TreshLine(hObject, eventdata,Pos)
r =Pos.r ;
LTag = get(r , 'Tag');
Shade=Pos.Shade ;
HistH = Pos.HistH ;
coords=get(gca,'currentpoint'); %this updates every time i move the mouse
x=coords(1,1,1);
y=coords(1,2,1);
%get the line's existing coordinates and append the new ones.
lastx=get(r,'xdata');
lasty=get(r,'ydata');
newx=[x x ];
newy=Pos.inity;
if (x>=HistH.x(1) && x<=HistH.x(2))
    set(r,'xdata',newx,'ydata',newy);
    if strcmp(LTag,'Liner')
        set(Shade,'xdata',[HistH.x(1) HistH.x(1) newx],'ydata',[newy newy(2) newy(1)]);
    else
        set(Shade,'xdata',[HistH.x(2) HistH.x(2) newx],'ydata',[newy newy(2) newy(1)]);
    end
else
    set(r,'xdata',lastx,'ydata',lasty);
    set(Shade,'xdata',[HistH.x(1) lastx(1)],'ydata',lasty);
end
Pos.lastx = x ;  Pos.lasty= y;
set(gcf,'windowbuttonupfcn',{@done_TreshLine,Pos})
function TreshL = done_TreshLine(hObject, eventdata,Pos)
%all this funciton does is turn the motion function off
r =Pos.r;
lastx=get(r,'xdata');
lasty=get(r,'ydata');
Pos.lastx = lastx(end) ;
Pos.lasty = lasty(end);
TreshL = Pos.lastx;
set(gcf,'windowbuttonmotionfcn','')
set(gcf,'windowbuttonupfcn','')
hMainGui = getappdata(0, 'hMainGui');
thresh = get(Pos.r,'Xdata');
Value1= num2str(thresh(1));
Clor = get(r,'Tag');
if strcmp(Clor,'Liner')
    text(Pos.lastx,(Pos.lasty*0.8),Value1,'color',[0.99 0 0],'FontWeight','bold','BackgroundColor',[.7 .7 .7],'Tag','dispvr','BusyAction','cancel')
    drawnow();
elseif strcmp(Clor,'Liney')
    text(Pos.lastx,(Pos.lasty*0.8),Value1,'color',[0.99 0.99 0],'FontWeight','bold','BackgroundColor',[.7 .7 .7],'Tag','dispvy','BusyAction','cancel')
    drawnow();
end

setappdata(hMainGui, 'thresh', TreshL);


%  %%%%%%%%%%%%%%  END   INTERNAL FUNCTIONS   %%%%%%%%%%%%%%%%%%%%%%%%%%%

% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%

% TOOLBAR CALLBACKS *****************************************************%
% --------------------------------------------------------------------
function About_ClickedCallback(hObject, eventdata, handles)
% hObject    handle to About (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

if ispc==1
    %winopen('OpenSegSPIM_credits.pdf')
    system(which('OpenSegSPIM_credits.pdf'))
elseif ismac==1
    macopen(which('OpenSegSPIM_credits.pdf'))
end

guidata(hObject, handles);
function Weblink_ClickedCallback(hObject, eventdata, handles)
% hObject    handle to Weblink (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

url = 'http://opensegspim.weebly.com/';
web(url,'-browser')
function Helpguide_ClickedCallback(hObject, eventdata, handles)
% hObject    handle to Helpguide (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
%
% disp('Help Callback')
% ctfroot
% pwd
% disp('Help end')


if ispc==1
    %winopen('OpenSegSPIM_User_Guide.pdf')
    system(which('OpenSegSPIM_User_Guide.pdf'))
elseif ismac==1
    macopen(which('OpenSegSPIM_User_Guide.pdf'))
    
    %system(['open','OpenSegSPIM_User_Guide.pdf'])
end

guidata(hObject, handles);

function uipushtool22_ClickedCallback(hObject, eventdata, handles)
% hObject    handle to uipushtool22 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
zoom off
pan off
guidata(hObject, handles);
function I_profile_ClickedCallback(hObject, eventdata, handles)
% hObject    handle to I_profile (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

figHandles = findobj('Type','figure');
set(figHandles, 'Pointer', 'crosshair');

U = findobj('Enable' , 'on') ;
for i =1:length(U)
    set(U(i) , 'Enable' , 'off')
end
set(gcf,'CurrentAxes',handles.Display);
[cx , cy, c,xi,yi] = improfile ;
p=getpixelposition(handles.Main_NucleiSeg) ;
set(gcf,'CurrentAxes',handles.Display);
hl=line(cx, cy, 'color', [1 1 1], 'LineWidth', 2,'LineStyle','--', 'hittest', 'off');
%drawArrow(cx(end-1), cy(end-1), cx(end), cy(end));%,'color', [0 1 1],'LineWidth', 2)
set(gcf,'CurrentAxes',handles.Processed);

proce = get(findobj(get(handles.Processed,'Children'),'Type','image'),'CData') ;
%proce = get(get(handles.Processed,'Children'),'CData') ;

if ~isempty(proce)==1
    try [px,py,pd]= improfile(proce,xi,yi) ;
    catch
        disp('wtf???')
        [px,py,pd]= improfile(proce{1},xi,yi) ;
    end
    line(px, py, 'color', [1 1 1], 'LineWidth', 2,'LineStyle','--', 'hittest', 'off');
else
    pd = zeros(size(c));
end


set(figHandles, 'Pointer', 'arrow');
hfg = figure(1);
javaFrame = get(hfg,'JavaFrame');
myIcon='MainIcon.gif';

[pathstr,name]=fileparts(which('OpenSegSPIM'));
myIcon=[pathstr,filesep,'MainIcon.gif'];

javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
set(hfg,'OuterPosition',[p(1)+p(3)/3 p(2)+p(4)./6 p(3)./2 p(4)./3]);
set(hfg,'WindowStyle','modal');
set(hfg, 'Name','Intensity profile along the dotted line','NumberTitle','off');

%set(hfg,'CloseRequestFcn',{@closeImprofile,gcbo})
set(gcf,'MenuBar','none')
%datacursormode on

subplot(1,2,1)
plot(c(:,:,3) ,'color' , 'b' , 'LineWidth',2,'Marker','.' )
hold on;
plot(c(:,:,1) ,'color' , 'r' , 'LineWidth',2,'Marker','.' )
hold on;
plot(c(:,:,2) ,'color' , 'g' , 'LineWidth',2,'Marker','.' )
xlabel('Distance (pix)') ;
ylabel('Original intensity') ;


set(gca,'color',[1,1,1]*0.05);
set(gcf,'color',[1,1,1]*0.05);
set(gca ,'XColor' , [1 1 1]);
set(gca,'YColor'  , [1 1 1]);


subplot(1,2,2)
plot(pd(:,:,3) ,'color' , 'b' , 'LineWidth',2,'Marker','.' )
hold on;
plot(pd(:,:,1) ,'color' , 'r' , 'LineWidth',2,'Marker','.' )
hold on;
plot(pd(:,:,2) ,'color' , 'g' , 'LineWidth',2,'Marker','.' )
xlabel('Distance (pix)') ;
ylabel('Enhanced intensity') ;



set(gca,'color',[1,1,1]*0.05);
set(gcf,'color',[1,1,1]*0.05);
set(gca ,'XColor' , [1 1 1]);
set(gca,'YColor'  , [1 1 1]);

A1=findobj('Type','axes');

linkaxes([A1(2),A1(1)])
zoom on
for i =1:length(U)
    set(U(i) , 'Enable' , 'on')
end


guidata(hObject, handles);
uiwait(hfg)
Show2DLeft(hObject, handles);
Show2DRight(hObject, handles);
function uitoggletool1_OnCallback(hObject, eventdata, handles)
% hObject    handle to uitoggletool1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
A1=findobj('Type','axes');
set(handles.Processed,'Xlim',handles.Xlorig)
set(handles.Processed,'Ylim',handles.Ylorig)
linkaxes([A1(2),A1(1)])
guidata(hObject, handles);
function threeDview_ClickedCallback(hObject, eventdata, handles)
% hObject    handle to threeDview (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
set (hObject,'Interruptible','off')
function_Show3D(hObject, handles)
guidata(hObject, handles);

function changedisplay_ClickedCallback(hObject, eventdata, handles)
% hObject    handle to changedisplay (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

handles=guidata(handles.output);
coords = get( 0,'PointerLocation');
set(handles.Main_NucleiSeg,'Unit','Pixel')
offset = get(handles.Main_NucleiSeg,'Position');
offset = offset(1:2);
coords = (coords-offset-([0 12]));
set(handles.Main_NucleiSeg,'Unit','characters');

cmenu = uicontextmenu;
% Create the parent menu
dispmenu = uimenu(cmenu,'label','Left Panel');
procmenu = uimenu(cmenu,'label','Right Panel');
% Create the submenus
d1 = uimenu(dispmenu,'label','Nuclei',...
    'Callback',{@overlay});
d2 = uimenu(dispmenu,'label','Mask and Seeds',...
    'Callback',{@overlay});
d3 = uimenu(dispmenu,'label','Outline Overlay',...
    'Callback',{@overlay});


if ~isempty(handles.STEMCellImage.NucleiImage3D_origMembrane)
    d4 = uimenu(dispmenu,'label','Cell and Nuclei',...
        'Callback',{@overlay});
else
    d4 = uimenu(dispmenu,'label','Cell and Nuclei',...
        'Callback',{@overlay},'Enable','off');
end

p1 = uimenu(procmenu,'label','Processed',...
    'Callback',{@overlay2});
p2 = uimenu(procmenu,'label','Mask and Seeds',...
    'Callback',{@overlay2});
p3 = uimenu(procmenu,'label','Outline and Seeds',...
    'Callback',{@overlay2});



if ~isempty(handles.STEMCellImage.NucleiImage3D_origMembrane)
    p4 = uimenu(procmenu,'label','Cell outline',...
        'Callback',{@overlay2});
else
    p4 = uimenu(procmenu,'label','Cell outline',...
        'Callback',{@overlay2},'Enable','off');
end


set(d1,'Checked',handles.menu.d{1})
set(d2,'Checked',handles.menu.d{2})
set(d3,'Checked',handles.menu.d{3})
set(d4,'Checked',handles.menu.d{4})
set(p1,'Checked',handles.menu.p{1})
set(p2,'Checked',handles.menu.p{2})
set(p3,'Checked',handles.menu.p{3})
set(p4,'Checked',handles.menu.p{4})

set(hObject,'uicontextmenu',cmenu);

EE=get(hObject,'UIContextMenu');
set(EE,'Position',coords);
set(EE,'Visible','on');


handles.menu.d{1}= get(d1,'Checked');
handles.menu.d{2}= get(d2,'Checked');
handles.menu.d{3}= get(d3,'Checked');
handles.menu.d{4}= get(d4,'Checked');
handles.menu.p{1}= get(p1,'Checked');
handles.menu.p{2}= get(p2,'Checked');
handles.menu.p{3}= get(p3,'Checked');
handles.menu.p{4}= get(p4,'Checked');
guidata(hObject, handles);
function overlay(hObject,eventdata,handles)

hMainGui = getappdata(0, 'hMainGui');
handles = getappdata(hMainGui, 'handles')  ;
handles=guidata(handles.output);
Labl=get(hObject,'Label');
set(hObject,'Checked','on');

switch Labl
    case 'Nuclei'
        handles.DLabl=1 ;
        handles.menu.d{1}='on';
        handles.menu.d{2}='off';
        handles.menu.d{3}='off';
        handles.menu.d{4}='off';
    case 'Mask and Seeds'
        handles.DLabl=2 ;
        handles.menu.d{2}='on';
        handles.menu.d{1}='off';
        handles.menu.d{3}='off';
        handles.menu.d{4}='off';
    case 'Outline Overlay'
        handles.DLabl=3 ;
        handles.menu.d{1}='off';
        handles.menu.d{2}='off';
        handles.menu.d{3}='on';
        handles.menu.d{4}='off';
    case 'Cell and Nuclei'
        handles.DLabl=4 ;
        handles.menu.d{1}='off';
        handles.menu.d{2}='off';
        handles.menu.d{3}='off';
        handles.menu.d{4}='on';
        
end

setappdata(hMainGui, 'handles', handles);
guidata(hObject, handles);

Show2DRight(hObject, handles);
Show2DLeft(hObject, handles);
function overlay2(hObject,eventdata,handles)

hMainGui = getappdata(0, 'hMainGui');
handles = getappdata(hMainGui, 'handles')  ;
handles=guidata(handles.output);
Labl=get(hObject,'Label');

switch Labl
    case 'Processed'
        handles.PLabl=1 ;
        handles.menu.p{1}='on';
        handles.menu.p{2}='off';
        handles.menu.p{3}='off';
        handles.menu.p{4}='off';
    case 'Mask and Seeds'
        handles.PLabl=2 ;
        handles.menu.p{2}='on';
        handles.menu.p{1}='off';
        handles.menu.p{3}='off';
        handles.menu.p{4}='off';
    case 'Outline and Seeds'
        handles.PLabl=3 ;
        handles.menu.p{1}='off';
        handles.menu.p{2}='off';
        handles.menu.p{3}='on';
        handles.menu.p{4}='off';
    case 'Cell outline'
        handles.PLabl=4 ;
        handles.menu.p{1}='off';
        handles.menu.p{2}='off';
        handles.menu.p{3}='off';
        handles.menu.p{4}='on';
end

setappdata(hMainGui, 'handles', handles);
guidata(hObject, handles);

Show2DRight(hObject, handles);
Show2DLeft(hObject, handles);
function AddSeeds_ClickedCallback(hObject, eventdata, handles)
% hObject    handle to AddSeeds (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

handles=guidata(handles.output);
set(gcf,'CurrentAxes',handles.Processed);

[x,y] = Myginput(1);
x = round(x);
y = round(y);
z = round(get(handles.ZSlice_ID,'Value'));




try handles.STEMCellImage.NucleiSeedsDilated(y,x,z)=1 ;
catch
    return;
end

handles.Nucleicenter(y,x,z) = 1 ;

[seedss,~] = bwlabeln(handles.Nucleicenter,26);
Ss = regionprops(seedss,'area');
idx = find([Ss.Area]<=2);
bw12 = ismember(seedss, idx) > 0;
bwl2 = imdilate(bw12, function_Ball3D(5));
handles.Nucleicenter= handles.Nucleicenter | bwl2 ;





[SeedsSegment,SeedsNum] = bwlabeln(handles.STEMCellImage.NucleiSeedsDilated,26);
S = regionprops(SeedsSegment,'centroid');
seedscentroids  = round(cat(1, S.Centroid));
handles.seedscentroids = seedscentroids;
Nuclei_SeedsPoints = zeros(size(handles.Nucleicenter));
tic
for k =1:1:SeedsNum
    Nuclei_SeedsPoints(seedscentroids(k,2),seedscentroids(k,1),seedscentroids(k,3))=1;
end
toc




handles.STEMCellImage.NucleiSeeds = [] ;
handles.STEMCellImage.NucleiSeeds = Nuclei_SeedsPoints;
[Nuclei_SeedsPoints, NUM] = bwlabeln(Nuclei_SeedsPoints,26);


data = get(handles.uitable1,'Data');
dilparam = round(5/data{5,2});
if iseven(dilparam)
    dilparam=dilparam+1;
end
Nuclei_SeedsPoints = imdilate(Nuclei_SeedsPoints, function_Ball3D(dilparam));

handles.STEMCellImage.NucleiSeedsDilated = Nuclei_SeedsPoints ;

%
[LX,LY,LZ] = size(handles.Nucleicenter);
AAA = zeros(LX,LY,3);
for i=1:LZ
    AAA = squeeze(handles.STEMCellImage.NucleiMasked(:,:,i,:));
    AAA = function_ImOverlay( AAA,...
        logical( Nuclei_SeedsPoints(:,:,i)),[0 1 0]);
    ProcessedImage(:,:,i,:) = (AAA) ;
end
handles.STEMCellImage.NucleiMandS = ProcessedImage ;

data{5,8} = data{5,8} +1 ;
set(handles.uitable1,'Data',data);

guidata(hObject, handles);
Show2DRight(hObject, handles);
Show2DLeft(hObject, handles);
function RemoveSeeds_ClickedCallback(hObject, eventdata, handles)
% hObject    handle to RemoveSeeds (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
handles=guidata(handles.output);
set(gcf,'CurrentAxes',handles.Processed);

handles.STEMCellImage.NucleiSeedsDilated = bwlabeln(handles.STEMCellImage.NucleiSeedsDilated,26);
handles.Nucleicenter = bwlabeln(handles.Nucleicenter,26);

[x , y] = Myginput(1);
x = round(x);
y = round(y);
z = round(get(handles.ZSlice_ID,'Value'));

try idx=handles.STEMCellImage.NucleiSeedsDilated(y,x,z);
catch
    return;
end
if idx==0
    return;
end


SSS=regionprops(handles.Nucleicenter,'all');
SS=regionprops(handles.STEMCellImage.NucleiSeedsDilated,'all');

handles.Nucleicenter(SSS(idx).PixelIdxList)=0;
handles.STEMCellImage.NucleiSeedsDilated(SS(idx).PixelIdxList)=0;
handles.STEMCellImage.NucleiSeeds(SS(idx).PixelIdxList)=0;
handles.STEMCellImage.NucleiSeedsDilated = bwlabeln(handles.STEMCellImage.NucleiSeedsDilated,26);

[SeedsSegment,SeedsNum] = bwlabeln(handles.STEMCellImage.NucleiSeedsDilated,26);
S = regionprops(SeedsSegment,'centroid');
seedscentroids  = round(cat(1, S.Centroid));
handles.seedscentroids = [] ;
handles.seedscentroids = seedscentroids;
Nuclei_SeedsPoints = zeros(size(handles.Nucleicenter));
for k =1:1:SeedsNum
    Nuclei_SeedsPoints(seedscentroids(k,2),seedscentroids(k,1),seedscentroids(k,3))=1;
end
handles.STEMCellImage.NucleiSeeds = [] ;
handles.STEMCellImage.NucleiSeeds = Nuclei_SeedsPoints;

data = get(handles.uitable1,'Data');
dilparam = round(5/data{5,2});
if iseven(dilparam)
    dilparam=dilparam+1;
end
Nuclei_SeedsPointsdilated = imdilate(Nuclei_SeedsPoints, function_Ball3D(dilparam));

handles.STEMCellImage.NucleiSeedsDilated = Nuclei_SeedsPointsdilated;

[LX,LY,LZ] = size(handles.Nucleicenter);
AAA = zeros(LX,LY,3);
for i=1:LZ
    AAA = squeeze(handles.STEMCellImage.NucleiMasked(:,:,i,:));
    AAA = function_ImOverlay( AAA,...
        logical( Nuclei_SeedsPointsdilated(:,:,i)),[0 1 0]);
    ProcessedImage(:,:,i,:) = (AAA) ;
end
handles.STEMCellImage.NucleiMandS = ProcessedImage ;

data = get(handles.uitable1,'Data');
data{5,8} = data{5,8} -1 ;
set(handles.uitable1,'Data',data);

guidata(hObject, handles);
Show2DRight(hObject, handles);
Show2DLeft(hObject, handles);
function plot_stat_ClickedCallback(hObject, eventdata, handles)

% hObject    handle to plot_stat (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
%


settings_struct = {...
    'separator' , '' , '','';...
    'Set bin size' , 'Binsize' , 1, 'on';...
    'separator' , '' , '','';...
    
    };
settings = [];
settings.Binsize = 20;

cDialogInputs = PrepareSettingDialog('Bin size', settings_struct, settings);

if handles.BATCH ==0 ;
    [settings, status] = settingsdlg(cDialogInputs{:});
elseif handles.BATCH ==1;
    [settings, status] = settingsdlgauto(cDialogInputs{:});
end
if strcmpi(status, 'cancel')
    return ;
elseif isempty(status)
    return ;
else
    
    handles.BIN = settings.Binsize ;
end


Tog = get(handles.toggleCellPanel,'Foregroundcolor') ;
if Tog==[0.5]
    Data = get(handles.uitableNucleiProperties,'data') ;
    NNu = size(Data,1) ;
    Titl = strcat('Histograms :',{' N='},num2str(NNu),{' Nuclei'});
elseif Tog==0
    Data = get(handles.uitableCellProperties,'data') ;
    NNu = size(Data,1) ;
    Titl = strcat('Histograms :',{' N='},num2str(NNu),{' Cells'});
end
handles.plot_statState=1;
Name=handles.c2names;
BiN = handles.BIN;
for i = 1:NNu
    Vol(i,1) = Data{i,1} ;
    Spher(i,1) = Data{i,2};
    NNdist(i,1) = Data{i,3};
    Mint(i,1) = Data{i,4};
end

X1 = linspace(min(Vol),max(Vol),BiN);
X2 = linspace(min(Spher),max(Spher),BiN);
X3 = linspace(min(NNdist),max(NNdist),BiN);
X4 = linspace(min(Mint),max(Mint),BiN);

Mean.Vol    = mean(Vol   (:,1));
Mean.Spher  = mean(Spher (:,1));
Mean.NNdist = mean(NNdist(:,1));
Mean.Mint   = mean(Mint  (:,1));
Std.Vol     = std(Vol   (:,1)) ;
Std.Spher   = std(Spher (:,1)) ;
Std.NNdist  = std(NNdist(:,1)) ;
Std.Mint    = std(Mint  (:,1)) ;

%
p=getpixelposition(handles.Main_NucleiSeg) ;
hfg = figure(1);
javaFrame = get(hfg,'JavaFrame');
myIcon='MainIcon.gif';

[pathstr,name]=fileparts(which('OpenSegSPIM'));
myIcon=[pathstr,filesep,'MainIcon.gif'];

javaFrame.setFigureIcon(javax.swing.ImageIcon(myIcon));
set(hfg,'Position',[p(1), p(2) , p(3)*.9, p(4)*.9]);
set(hfg, 'Name',char(Titl),'NumberTitle','off');
set(gcf,'MenuBar','none')
set(hfg,'CloseRequestFcn',@closegui2_exportTresholds)
pp=getpixelposition(hfg) ;
ButtonH=uicontrol('Parent',hfg,'Style','text','String',...
    'Left click: bottom treshold. Right click: top treshold. close fig. to save.',...
    'Position',[0.001 0.9 0.1 0.1],'Units','normalized');

H=subplot(2,2,1) ;
hist(Vol,X1)
hold on ;
n=hist(Vol,X1) ;
title(Name(1))
line([Mean.Vol-Std.Vol Mean.Vol+Std.Vol], [mean(n(n>0)) mean(n(n>0))],...
    'color', [1 0 0], 'LineWidth', 2, 'hittest', 'on');
plot(Mean.Vol,mean(n(n>0)) , 'LineWidth' , 2 , 'color', [1 0 0] , 'Marker' , 's')
Height.y = get(gca,'YLim');
Height.x = get(gca,'XLim');
handles.Height = Height ;
r(1)=line([Height.x(1) Height.x(1)], Height.y, 'color', [1 0 0], 'LineWidth', 2);
set(r(1),'Tag','Liner')
r(2)=line([Height.x(2) Height.x(2)], Height.y, 'color', [1 1 0], 'LineWidth', 2);
set(r(2),'Tag','Liney')
set(H,'ButtonDownFcn',{@TreshLine,handles});
hold off;


H=subplot(2,2,2) ;
hist(Spher , X2);
hold on ;
n=hist(Spher,X2) ;
title(Name(2))
line([Mean.Spher-Std.Spher Mean.Spher+Std.Spher], [mean(n(n>0)) mean(n(n>0))],...
    'color', [1 0 0], 'LineWidth', 2, 'hittest', 'on');
plot(Mean.Spher,mean(n(n>0)) , 'LineWidth' , 2 , 'color', [1 0 0] , 'Marker' , 's')
Height.y = get(gca,'YLim');
Height.x = get(gca,'XLim');
handles.Height = Height ;
r(3)=line([Height.x(1) Height.x(1)], Height.y, 'color', [1 0 0], 'LineWidth', 2);
set(r(3),'Tag','Liner')
r(4)=line([Height.x(2) Height.x(2)], Height.y, 'color', [1 1 0], 'LineWidth', 2);
set(r(4),'Tag','Liney')
set(H,'ButtonDownFcn',{@TreshLine,handles});
hold off;

H=subplot(2,2,3) ;
hist(NNdist , X3);
hold on ;
n=hist(NNdist , X3);
title(Name(3))
line([Mean.NNdist-Std.NNdist Mean.NNdist+Std.NNdist], [mean(n(n>0)) mean(n(n>0))],...
    'color', [1 0 0], 'LineWidth', 2, 'hittest', 'on');
plot(Mean.NNdist,mean(n(n>0)) , 'LineWidth' , 2 , 'color', [1 0 0] , 'Marker' , 's')
Height.y = get(gca,'YLim');
Height.x = get(gca,'XLim');
handles.Height = Height ;
r(5)=line([Height.x(1) Height.x(1)], Height.y, 'color', [1 0 0], 'LineWidth', 2);
set(r(5),'Tag','Liner')
r(6)=line([Height.x(2) Height.x(2)], Height.y, 'color', [1 1 0], 'LineWidth', 2);
set(r(6),'Tag','Liney')
set(H,'ButtonDownFcn',{@TreshLine,handles});
hold off;

H=subplot(2,2,4) ;
hist(Mint , X4);
hold on ;
n=hist(Mint , X4);
title(Name(4))
line([Mean.Mint-Std.Mint Mean.Mint+Std.Mint], [mean(n(n>0)) mean(n(n>0))], 'color', [1 0 0], 'LineWidth', 2, 'hittest', 'on');
plot(Mean.Mint,mean(n(n>0)) , 'LineWidth' , 2 , 'color', [1 0 0] , 'Marker' , 's')
Height.y = get(gca,'YLim');
Height.x = get(gca,'XLim');
handles.Height = Height ;
r(7)=line([Height.x(1) Height.x(1)], Height.y, 'color', [1 0 0], 'LineWidth', 2);
set(r(7),'Tag','Liner')
r(8)=line([Height.x(2) Height.x(2)], Height.y, 'color', [1 1 0], 'LineWidth', 2);
set(r(8),'Tag','Liney')
set(H,'ButtonDownFcn',{@TreshLine,handles});
hold off;
set(gcf,'color','w')
%

uiwait(hfg)
hMainGui     = getappdata(0, 'hMainGui');
tresh.bottom = getappdata(hMainGui, 'threshbot');
tresh.top    = getappdata(hMainGui, 'threshtop');
tresh.Name   = getappdata(hMainGui, 'treshName');
if Tog==[0.5]
    UITab2 = handles.uitableNucleiProperties;
elseif Tog==0
    UITab2 = handles.uitableCellProperties;
end
Data   = get(UITab2,'Data') ;
NNu    = size(Data,1) ;
for i = 1:NNu
    Vol(i,1) = Data{i,1} ;
    Spher(i,1) = Data{i,2};
    NNdist(i,1) = Data{i,3};
    Mint(i,1) = Data{i,4};
end
for i = 1:length( tresh.Name)
    IDx(i)  = find(strcmp(Name(i),tresh.Name));
end
Treshall = cat(2,tresh.bottom , tresh.top);
Treshall(IDx(1),:)
tok=[];
% here gather all index together
tok = find( Vol<=Treshall(IDx(1),1) | Vol>=Treshall(IDx(1),2)  );
tok = cat(1,tok,find(   Spher<=Treshall(IDx(2),1) |   Spher>=Treshall(IDx(2),2)  ));
tok = cat(1,tok,find(  NNdist<=Treshall(IDx(3),1) |  NNdist>=Treshall(IDx(3),2)  ));
tok = cat(1,tok,find( Mint<=Treshall(IDx(4),1) | Mint>=Treshall(IDx(4),2)  ));
idremove = unique(tok) ;
idkeep = [1:NNu]';
idkeep(idremove)        = [];
if Tog==[0.5]
    REMOVED = handles.STATS(idremove) ;
    handles.STATS(idremove) = [];
elseif Tog==[0]
    handles.CellSTATS(idremove) = [];
end
Data(idremove,:)        = [];
[LX,LY,LZ]=size(handles.STEMCellImage.NucleiSegments);
if Tog==[0.5]
    
    KEPPKEPP = zeros(LX,LY,LZ);
    
    
    if sum(sum(sum((handles.STEMCellImage.removed))))==0
        handles.STEMCellImage.removed = ismember(handles.STEMCellImage.NucleiSegments,idremove);
    else
        handles.STEMCellImage.removed = handles.STEMCellImage.removed | ismember(handles.STEMCellImage.NucleiSegments,idremove);%RMV.* handles.STEMCellImage.NucleiSegments  ;
    end
    
    if sum(sum(sum((handles.STEMCellImage.kept))))==0
        handles.STEMCellImage.kept= ismember(handles.STEMCellImage.NucleiSegments, idkeep );
    else
        handles.STEMCellImage.kept= handles.STEMCellImage.kept | ismember(handles.STEMCellImage.NucleiSegments, idkeep );
    end
    
    
    KEPPKEPP = ismember(handles.STEMCellImage.NucleiSegments, idkeep );
    WW       = imfill(KEPPKEPP,'holes');
    
    handles.STEMCellImage.NucleiSegments  = KEPPKEPP.* double(handles.STEMCellImage.NucleiSegments ) ;
    
    handles.STEMCellImage.NucleiSeeds         = WW.* double(handles.STEMCellImage.NucleiSeeds ) ;
    handles.STEMCellImage.NucleiSeedsDilated  = WW.* double(handles.STEMCellImage.NucleiSeedsDilated ) ;
    handles.Nucleicenter                      = WW.* double(handles.Nucleicenter  ) ;
end


if Tog==[0.5]
    set(handles.uitableNucleiProperties,'data',Data) ;
    Data   = [];
    Data   = get(handles.uitableNucleiProperties,'Data') ;
    Name   = get(handles.uitableNucleiProperties,'ColumnName');
    NNu    = size(Data,1) ;
    
    
    
    
    
    for i = 1:NNu
        Vol(i,1) = Data{i,1} ;
        Spher(i,1) = Data{i,2};
        NNdist(i,1) = Data{i,3};
        Mint(i,1) = Data{i,4};
    end
    
    data=get(handles.uitable1,'Data') ;
    data{1,7} =  '<nearest neighbor dist.> \um' ;
    data{1,8} =  mean(NNdist) ;
    data{2,7} =   '<Nuclei Volume> \um^3';
    data{2,8} =  mean(Vol) ;
    data{3,7} = '<Sphericity>' ;
    data{3,8} = mean(Spher);
    data{5,7} = 'N_postproccells' ;
    data{5,8} = data{5,8}+length(idremove) ;
    data{6,6} = NNu;
    set(handles.uitable1,'Data',data)  ;
    
    handles.idremoveL = length(idremove) ;
    
    
elseif Tog==0
    
    set(handles.uitableCellProperties,'data',Data) ;
    Data   = [];
    Data   = get(handles.uitableCellProperties,'Data') ;
    Name   = get(handles.uitableCellProperties,'ColumnName');
    NNu    = size(Data,1) ;
    
    for i = 1:NNu
        Vol(i,1) = Data{i,1} ;
        Spher(i,1) = Data{i,2};
        NNdist(i,1) = Data{i,3};
        Mint(i,1) = Data{i,4};
    end
    
    
    data=get(handles.uitable1,'Data') ;
    data{2,9} =  '<nearest neighbor dist.> \um' ;
    data{2,10} =  mean(NNdist) ;
    data{3,9} =   '<Cell Volume> \um^3';
    data{3,10} =   mean(Vol) ;
    data{4,9} = '<Sphericity>' ;
    data{4,10} = mean(Spher);
    
    data{6,9} = 'N_postproccells' ;
    data{6,10} =  data{6,10}+length(idremove) ;
    data{7,9} = 'Number of cells'    ;
    data{7,10} = NNu ;
    set(handles.uitable1,'Data',data)  ;
    
    
    
    
end


guidata(hObject, handles);

Show2DRight(hObject, handles);
Show2DLeft(hObject, handles);
% END TOOLBAR CALLBACKS *************************************************%

% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%

%  CREATE FUNCTION AT STARTUP *******************************************%
% --- Executes during object creation, after setting all properties.
function LoadImage_CreateFcn(hObject, eventdata, handles)
% hObject    handle to LoadImage (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
s = sprintf(strcat('Load the image 3D stack to be processed:\n'...
    ,' \n'...
    ,'1: Select the nuclei 3D stack to segment\n'...
    ,' \n'...
    ,'2: Set the correct resolution (optional)\n'...
    ,' \n'...
    ,'3: Set the scaling factor (default: 1)\n'...
    ,'value>1 reduce the size of the 3D image for faster processing.\n'...
    ,' \n'...
    ,'4: Setting file can be loaded to preset all parameters (optional)\n'...
    ));
set(hObject,'TooltipString',s)
guidata(hObject, handles);
% --- Executes during object creation, after setting all properties.
function Preprocessing_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Preprocessing (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
s = sprintf(strcat('Enhance the image:'...
    ,' \n'...
    ,'1: Remove the background noise\n'...
    ,'parameter should be slightly larger than the nuclei diameter\n'...
    ,'\n'...
    ,'2: adjust intensity range ([0 1])\n'...
    ,'Intensity equalisation is helpful if image contain large contrast inhomogeneity '...
    ,'\n'...
    ,'3: Smooth the image, choose the preferred method\n'...
    ,'parameter should be slightly smaller than the nuclei diameter\n'...
    ,'\n'...
    ,'Values are typically preset using the left & right click & drag tool.'...
    ));
handles.FirstStep=0;
set(hObject,'TooltipString',s)
set(hObject,'Enable' , 'off' )
guidata(hObject, handles);
% --- Executes during object creation, after setting all properties.
function Masking_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Masking (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
s = sprintf(strcat('Foreground extraction:\n'...
    ,'1: Adjust threshold coefficient (default: 1)\n'...
    ,'\n'...
    ,'2: Select which image to apply treshold (optional)\n'...
    ,' \n'...
    ,'The resulting foreground (red edges) should enclose all objects and discard remaining noise\n'));
set(hObject,'TooltipString',s)
set(hObject,'Enable' , 'off' )
guidata(hObject, handles);
% --- Executes during object creation, after setting all properties.
function Seeding_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Seeding (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
s = sprintf(strcat('Choose local intensity maxima detection method:\n'...
    ,'\n'...
    ,'1: Intensity based sensitivity (default: 95%)\n'...
    ,'\n'...
    ,'2: Shape based sensitivity (default: half nuclei size)\n'...
    ,'this value should typically be set to low value (~0.5) to split touching objects\n'...
    ,'\n'...
    ,'Preview compare detection method on a small layer around the current slice\n'));
set(hObject,'TooltipString',s)
set(hObject,'Enable' , 'off' )
guidata(hObject, handles);
% --- Executes during object creation, after setting all properties.
function Segmentation_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Segmentation (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
s = sprintf(strcat('Segment the object based on the mask and seeds previously detected\n'...
    ,' \n'...
    ,'1: Select watershed method (default: Detection method selected previously)\n'...
    ,' \n'));
set(hObject,'TooltipString',s)
set(hObject,'Enable' , 'off' )

guidata(hObject, handles);
% --- Executes during object creation, after setting all properties.
function Export_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Export (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
s = sprintf(strcat('Export final segmentation results in Tiff and txt format:\n'...
    ,'1: Original interpolated image\n'...
    ,'2: Smoothed image with Mask and Seeds\n'...
    ,'3: 2 segmented labelled image (fill and outlines)\n'...
    ,'4: 2 text files : applied parameter and measurement of each segmented objects\n'...
    ,'5: 2 binary image with filtered and non filtered detected object (Optional, filtered with statistical post processing tool)\n'));
set(hObject,'TooltipString',s)
set(hObject,'Enable' , 'off' )
guidata(hObject, handles);
% --- Executes during object creation, after setting all properties.
function uitable1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to uitable1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
%
% rnames = {'Loaded File','PreProcessing','Masking','Seeding','Segmentation'};
% set(hObject,'RowName',rnames);
%

s = sprintf(strcat('Display all settings used during the process.\n'...
    ,'This table is saved as a setting txt file when exported.\n'...
    ,'the setting txt file can be loaded to preset all setting or to batch process multiple files.\n'...
    ));
set(hObject,'TooltipString',s)
set(hObject,'Visible' , 'off' )
guidata(hObject, handles);
guidata(hObject, handles);
% --- Executes during object creation, after setting all properties.
function uitableNucleiProperties_CreateFcn(hObject, eventdata, handles)
% hObject    handle to uitableNucleiProperties (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
s = sprintf(strcat('Quantitative information for each segmented object:\n'...
    ,'1: Volume\n'...
    ,'2: Sphericity\n'...
    ,'3: Nearest neighbor distance\n'...
    ,'4: Intensity\n'...
    ,'This table will be saved as a txt file for further statistical study.\n'));
set(hObject,'TooltipString',s)
set(hObject,'Visible' , 'off' )
guidata(hObject, handles);
% --- Executes during object creation, after setting all properties.
function ZSlice_ID_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ZSlice_ID (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end

s = sprintf(strcat('Slide to view each slice \n'));
set(hObject,'TooltipString',s)
set(hObject, 'Enable', 'off')
guidata(hObject, handles);
% --- Executes during object creation, after setting all properties.
function ZStackNum_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ZStackNum (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
% --- Executes during object creation, after setting all properties.
function STATISTIC_CreateFcn(hObject, eventdata, handles)
% hObject    handle to STATISTIC (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
s = sprintf(strcat('Quantitative measurement and sorting: \n'...
    ,'Sort objects color and list order according to: \n'...
    ,'(Volume,sphericity, nearest neighbor distance or intensity (from low to high values)\n'...
    ));
set(hObject,'TooltipString',s)
set(hObject,'Enable' , 'off' )
handles.plot_statState=0;
guidata(hObject, handles);
% --- Executes during object creation, after setting all properties.
function Main_NucleiSeg_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Main_NucleiSeg (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
set(hObject,'DockControls','off')
%handles.BATCH = 0 ;
guidata(hObject, handles);
% --- Executes during object creation, after setting all properties.
function uitoolbar1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to uitoolbar1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
handles.DLabl=1;
handles.PLabl=1;
handles.menu.d{1}= 'on';
handles.menu.d{2}= 'off';
handles.menu.d{3}= 'off';
handles.menu.d{4}= 'off';
handles.menu.p{1}= 'on';
handles.menu.p{2}= 'off';
handles.menu.p{3}= 'off';
handles.menu.p{4}= 'off';
guidata(hObject, handles);
% --- Executes during object creation, after setting all properties.
function changedisplay_CreateFcn(hObject, eventdata, handles)
% hObject    handle to changedisplay (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
% --- Executes during object creation, after setting all properties.
function Processed_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Processed (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate Processed
set(hObject, 'YTickLabelMode', 'Manual')
set(hObject, 'YTick', [])
% --- Executes during object creation, after setting all properties.
function uipushtool22_CreateFcn(hObject, eventdata, handles)
% hObject    handle to uipushtool22 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

s = sprintf(strcat('\n Left click and drag: measure object diameter   ||   \n'...
    ,'   \n Right click and drag: adjust intensity \n'...
    ));
set(hObject,'TooltipString',s)
set(hObject,'Enable' , 'off' )
% --- Executes during object creation, after setting all properties.
function Batchrun_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Batchrun (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
s = sprintf(strcat('\n Batch process images:   \n'...
    ,'Load the setting file to be used and select multiple files to be batch processed\n'...
    ,'Only available for nuclei segmentation currently\n'...
    ...
    ));
set(hObject,'TooltipString',s)
handles.BATCH=0;
handles.BatchPath=[];
handles.BatchFilename=[];
handles.BATCHITERATION=1;
handles.PresetState=0;
set(hObject,'Enable' , 'on' )
guidata(hObject, handles);
% --- Executes during object creation, after setting all properties.
function toggleNucleiPanel_CreateFcn(hObject, eventdata, handles)
% hObject    handle to toggleNucleiPanel (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
set(hObject,'Value',0)
set(hObject,'hittest','off')
set(hObject,'Selected','off')
guidata(hObject, handles);
% --- Executes during object creation, after setting all properties.
function toggleCellPanel_CreateFcn(hObject, eventdata, handles)
% hObject    handle to toggleCellPanel (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
set(hObject,'Value',0)
set(hObject,'Selected','off')
set(hObject,'hittest','off')
set(hObject,'ForegroundColor',[0.5 0.5 0.5])
set(hObject,'Enable','off')
guidata(hObject, handles);
% --- Executes during object creation, after setting all properties.
function uipanelNuclei_CreateFcn(hObject, eventdata, handles)
% hObject    handle to uipanelNuclei (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
set(hObject,'Visible','on')
% --- Executes during object creation, after setting all properties.
function uipanelCell_CreateFcn(hObject, eventdata, handles)
% hObject    handle to uipanelCell (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
set(hObject,'Visible','off')
% --- Executes during object creation, after setting all properties.
function Cell_Segmentation_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Cell_Segmentation (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

s = sprintf(strcat('Cell segmentation:   \n'...
    ,'1: Adjust threshold parameter for cell foreground extraction\n'...
    ,'Previously segmented nuclei are used as cell detection\n'...
    ,'Cell watershed is similar as the one applied on nuclei\n'...
    ...
    ));
set(hObject,'TooltipString',s)

set(hObject,'Visible','off')
set(hObject,'Enable','off')
% --- Executes during object creation, after setting all properties.
function CellStatistics_CreateFcn(hObject, eventdata, handles)
% hObject    handle to CellStatistics (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

s = sprintf(strcat('Quantitative measurement and sorting: \n'...
    ,'Sort objects color and list order according to: \n'...
    ,'(Volume,sphericity, nearest neighbor distance or intensity (from low to high values)\n'...
    ));

set(hObject,'TooltipString',s)
set(hObject,'Enable' , 'off' )
set(hObject,'Visible','off')
set(hObject,'Enable','off')
% --- Executes during object creation, after setting all properties.
function uitableCellProperties_CreateFcn(hObject, eventdata, handles)
% hObject    handle to uitableCellProperties (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
s = sprintf(strcat('Quantitative information for each segmented object:\n'...
    ,'1: Volume\n'...
    ,'2: Sphericity\n'...
    ,'3: Nearest neighbor distance\n'...
    ,'4: Intensity\n'...
    ,'This table will be saved as a txt file for further statistical study.\n'));
set(hObject,'TooltipString',s)
set(hObject,'Visible','off')
% --- Executes during object creation, after setting all properties.
function savecell_CreateFcn(hObject, eventdata, handles)
% hObject    handle to savecell (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
% set(hObject,'Visible','off')
s = sprintf(strcat('Export final segmentation results in Tiff and txt format:\n'...
    ,'1: Original interpolated image of both nuclei and cell channel\n'...
    ,'2: Smoothed image with Mask and Seeds\n'...
    ,'3: 4 segmented labelled image (fill and outlines for both channel)\n'...
    ,'4: 3 text files : applied parameter and measurement of each segmented objects\n'...
    ,'5: 2 binary image with filtered and non filtered detected object (Optional, filtered with statistical post processing tool)\n'));

set(hObject,'TooltipString',s)
set(hObject,'Enable','off')
% --- Executes during object creation, after setting all properties.
function Validation_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Validation (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

s = sprintf(strcat('Load back Batch process stacks\n'...
    ,'for quality check and modifications\n'...
    ));

set(hObject,'TooltipString',s)

handles.Validationcheck = 0 ;
guidata(hObject, handles);
%  END CREATE FUNCTION AT STARTUP ***************************************%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%
% ********************************************************************* %%


% --- Executes during object creation, after setting all properties.
function text_infoclick_CreateFcn(hObject, eventdata, handles)
% hObject    handle to text_infoclick (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called
set(hObject,'ForegroundColor',[1 0 0  ])
set(hObject,'Visible','off');
